<?php
    include_once("CUserSession.php");
    include_once("CUtil.php");
    // if not logged in redirect to login/register page
    if(!isLoggedIn()){
        header("Location: register.php"); 
        die();
    }
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <title>New Project - isUD™</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="description"
        content="innovative solutions for Universal Design(isUD™) offers resources and services to support and recognize adopters of universal design. isUD™ provides an interactive platform for browsing innovate solutions for UD, reference designs for designers and design resources that summarize the state of knowledge on a variety of topics related to UD.">
    <meta name="keywords"
        content="inclusive design, universal design, accessibility, ada, barrier free design, wayfinding, anthropometry, design for all, diversity, wheelchair">
    <meta name="copyright"
        content="innovative solutions for Universal Design is a product of the University at Buffalo, Center for Inclusive Design and Environmental Access. All rights reserved.">
    <meta name="dcterms.rightsHolder"
        content="The University at Buffalo, Center for Inclusive Design and Environmental Access.">
    <meta property="og:title" content="New Project - isUD™">
    <meta property="og:description" content="isUD™ offers resources and services to support and recognize adopters of universal design. isUD™ provides an interactive platform for browsing innovate solutions for UD, reference designs for designers and design resources that summarize the state of knowledge on a variety of topics related to UD.">
    <meta property="og:image" content="/images/isUD_PR_PublicTransit_Facebook.e6c1a408.png">
    <meta property="og:site_name" content="thisisUD">
    <meta property="og:image:width" content="470">
    <meta property="og:image:height" content="246">
    <link rel="Shortcut Icon" href="favicon.ico">
    <link rel="stylesheet" href="CSS/bootstrap.min.7cc40c19.css">
    <link rel="stylesheet" href="CSS/bootstrap-select.min.92f660cd.css">
    <link rel="stylesheet" href="CSS/intlTelInput.62d0a3f6.css">
    <link rel="stylesheet" href="CSS/custom.79b6d971.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css">
    <script src="https://www.google.com/recaptcha/api.js" async defer="defer"></script>
</head>

<body>
    <div class="cl-container cl-wrapper" id="id-wrapper"> <?php
            if(!isLoggedIn()){ 
                Util::ScopedIncludeOnce("Banner.php", array('includerFile' => __FILE__));
            }else{
                Util::ScopedIncludeOnce("Banner_Login.php", array('includerFile' => __FILE__));
            }
        ?> <section id="id-global-container">
            <div class="ongoing-projects">
                <div class="tab-content">
                    <div class="active tab-pane">
                        <section>
                            <div class="" id="id-title-bar">
                                <div id="" class="cl-div-site-breadcrumb-static" style="font-size: 14px;"><span class=""
                                        style="font-size: 14px;"><a href="myProjects.php">My Projects <a><a
                                                    style="color: black;">> Project Profile</a></a></a></span></div>
                            </div>
                            <div class="cl-info-footer" id="id-title-bar"
                                style="display:flex; margin-top:15px; background: #f9f9f9;">
                                <div class="" id="id-project-title-text" style="align-self: auto;"><span
                                        class="cl-span-site-title">Project Profile</span></div>
                                <div class="cl-info-footer cl-buttons-second-nav" style="padding-left: 1px;
                                                background: white;
                                                right: 0px;
                                                width: 180px;"><button class="btn btn-primary cl-project-update-btn"
                                        style="margin-right:2px;height:100%;width:100%" title="Project Overview"><img
                                            src="images/editbutton.d1636828.png" alt="submit-icon"
                                            style="height:1.8em;padding-right: 5px;"> Project Overview</button></div>
                            </div>
                            <div class="col-md-12" style="padding:0px">
                                <table class="cl-tbl-navs">
                                    <tr>
                                        <td style="/*border: 5px solid #d8d8d8; padding: .9375rem;*/">
                                            <div id="content-holder">
                                                <div class="tab-content">
                                                    <div class="tab-pane" id="id-pane-new-project">
                                                        <div class="col-md-12 cl-div-new-project-tbl"
                                                            id="id-new-project-tbl">
                                                            <div id="id-div-new-project-upper-container">
                                                                <div class="col-4"
                                                                    id="id-div-new-project-upper-left-container">
                                                                    <div
                                                                        class="row col-12 cl-div-new-project-section-header">
                                                                        <div class="num-circle">1</div>
                                                                        <h6 style="margin: 5px;">Contact Information</h6>
                                                                    </div>
                                                                    <form id="id-form-new-project-contact" method="post">
                                                                        <div class="cl-div-section-msg cl-div-new-project-section-header"></div>
                                                                        
                                                                        <div class="cl-div-formset">
                                                                            <div class="cl-new-project-tbl-div">
                                                                                <div class="form-group cl-div-formset">
                                                                                    <div class="col-md-12 cl-new-project-tbl-div-right" style="padding: 0px;">
                                                                                        <div>
                                                                                            <label class="label cl-label-new-project-short" for="id-new-project-inp-p-contact-person">Primary Contact Name (first and last)
                                                                                                <span style="color:red">*</span>
                                                                                            </label>
                                                                                            <input class="form-control" type="text" id="id-new-project-inp-p-contact-person" name="id-new-project-inp-p-contact-person" placeholder="Primary Contact Person">
                                                                                        </div>
                                                                                    <div>
                                                                                    <span class="cl-new-project-inp-error-lbl cl-lbl" id="id-new-project-inp-error-lbl-p-contact-person">Please enter the name of a primary contact person</span>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                               
                                                                        <div class="form-group cl-div-formset">
                                                                            <div class="col-md-12 cl-new-project-tbl-div-right" style="padding: 0px;">
                                                                                <div>
                                                                                    <label class="label cl-label-new-project-short" for="id-new-project-inp-p-contact-email">Primary E-mail<span style="color:red">*</span></label>
                                                                                    <input class="form-control" type="text" id="id-new-project-inp-p-contact-email" name="id-new-project-inp-p-contact-email" placeholder="Primary Contact E-mail">
                                                                                </div>
                                                                                <div>
                                                                                    <span class="cl-new-project-inp-error-lbl cl-lbl" id="id-new-project-inp-error-lbl-p-contact-email">Please enter a valid e-mail address for the project contact person</span>
                                                                                </div>
                                                                            </div>
                                                                        </div>

                                                                        <div class="form-group cl-div-formset">
                                                                            <div class="col-md-12 cl-new-project-tbl-div-right" style="padding: 0px;">
                                                                                <div>
                                                                                    <label class="label cl-label-new-project-short" for="id-new-project-inp-p-contact-telephone">Primary Telephone <span style="color:red">*</span></label>
                                                                                    <input class="form-control" id="id-new-project-inp-p-contact-telephone" name="id-new-project-inp-p-contact-telephone" type="tel" data-width="100%">                                                                                
                                                                                    <span class="cl-new-project-inp-error-lbl cl-lbl" id="id-new-project-inp-error-lbl-p-contact-telephone">Please enter a valid phone number</span>
                                                                                </div>
                                                                            </div>
                                                                        </div>

                                                                                <div class="form-group cl-div-formset">
                                                                                    <div class="col-md-12 cl-new-project-tbl-div-right"
                                                                                        style="padding: 0px;">
                                                                                        <div><label class="label cl-label-new-project-short" for="id-new-project-inp-p-architect">Architect/Firm Name</label> <input class="form-control" type="text" id="id-new-project-inp-p-architect" name="id-new-project-inp-p-architect" placeholder="Project Architect"> </div>
                                                                                        <div><span class="cl-new-project-inp-error-lbl cl-lbl" id="id-new-project-inp-error-lbl-p-architect">Please enter the name of the project architect</span> </div>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="form-group cl-div-formset">
                                                                                    <div class="col-md-12 cl-new-project-tbl-div-right"
                                                                                        style="padding: 0px;">
                                                                                        <div><label
                                                                                                class="label cl-label-new-project-short"
                                                                                                for="id-new-project-inp-p-owner">Owner's
                                                                                                Name</label> <input
                                                                                                class="form-control"
                                                                                                type="text"
                                                                                                id="id-new-project-inp-p-owner"
                                                                                                name="id-new-project-inp-p-owner"
                                                                                                placeholder="Project Owner">
                                                                                        </div>
                                                                                        <div><span
                                                                                                class="cl-new-project-inp-error-lbl cl-lbl"
                                                                                                id="id-new-project-inp-error-lbl-p-owner">Please
                                                                                                enter the name of the
                                                                                                project owner</span>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </form>
                                                                </div>
                                                                <div class="col-4"
                                                                    id="id-div-new-project-upper-middle-container">
                                                                    <div
                                                                        class="row col-12 cl-div-new-project-section-header">
                                                                        <div class="num-circle">2</div>
                                                                        <h6 style="margin: 5px;">Project Information
                                                                        </h6>
                                                                    </div>
                                                                    <form id="id-form-new-project-details"
                                                                        method="post">
                                                                        <div
                                                                            class="cl-div-section-msg cl-div-new-project-section-header">
                                                                        </div>
                                                                        <div class="cl-div-formset">
                                                                            <div class="cl-new-project-tbl-div">
                                                                                <div class="form-group cl-div-formset">
                                                                                    <div class="col-md-12 cl-new-project-tbl-div-right"
                                                                                        style="padding: 0px;">
                                                                                        <div><label
                                                                                                class="label cl-label-new-project-short"
                                                                                                for="id-new-project-inp-p-title">Project
                                                                                                Name <span
                                                                                                    style="color:red">*</span></label>
                                                                                            <input class="form-control"
                                                                                                type="text"
                                                                                                id="id-new-project-inp-p-title"
                                                                                                name="id-new-project-inp-p-title"
                                                                                                placeholder="Project Title">
                                                                                        </div>
                                                                                        <div><span
                                                                                                class="cl-new-project-inp-error-lbl cl-lbl"
                                                                                                id="id-new-project-inp-error-lbl-p-title">Please
                                                                                                enter the project's
                                                                                                title</span></div>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="form-group cl-div-formset">
                                                                                    <div class="col-md-12 cl-new-project-tbl-div-right"
                                                                                        style="padding: 0px;">
                                                                                        <div><label
                                                                                                class="label cl-label-new-project-short"
                                                                                                for="id-new-project-inp-p-address-line-1">Address
                                                                                                Line 1</label> <input
                                                                                                class="form-control"
                                                                                                type="text"
                                                                                                id="id-new-project-inp-p-address-line-1"
                                                                                                name="id-new-project-inp-p-address-line-1"
                                                                                                placeholder="Project Address Line 1">
                                                                                        </div>
                                                                                        <div><span
                                                                                                class="cl-new-project-inp-error-lbl cl-lbl"
                                                                                                id="id-new-project-inp-error-lbl-p-address-line-1">Please
                                                                                                enter the project’s
                                                                                                address</span></div>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="form-group cl-div-formset">
                                                                                    <div class="col-md-12 cl-new-project-tbl-div-right"
                                                                                        style="padding: 0px;">
                                                                                        <div><label
                                                                                                class="label cl-label-new-project-short"
                                                                                                for="id-new-project-inp-p-address-line-2">Address
                                                                                                Line 2</label> <input
                                                                                                class="form-control"
                                                                                                type="text"
                                                                                                id="id-new-project-inp-p-address-line-2"
                                                                                                name="id-new-project-inp-p-address-line-2"
                                                                                                placeholder="Project Address Line 2">
                                                                                        </div>
                                                                                        <div><span
                                                                                                class="cl-new-project-inp-error-lbl cl-lbl"
                                                                                                id="id-new-project-inp-error-lbl-p-address-line-2">Field
                                                                                                cannot be empty</span>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="form-group cl-div-formset">
                                                                                    <div class="col-md-6 cl-new-project-tbl-div-right"
                                                                                        style="padding-left:0px;">
                                                                                        <div><label
                                                                                                class="label cl-label-new-project-short"
                                                                                                for="id-new-project-inp-p-city">City</label>
                                                                                            <input class="form-control"
                                                                                                type="text"
                                                                                                id="id-new-project-inp-p-city"
                                                                                                name="id-new-project-inp-p-city"
                                                                                                placeholder="City">
                                                                                        </div>
                                                                                        <div><span
                                                                                                class="cl-new-project-inp-error-lbl cl-lbl"
                                                                                                id="id-new-project-inp-error-lbl-p-city">Please
                                                                                                enter the project’s
                                                                                                city</span></div>
                                                                                    </div>
                                                                                    <div
                                                                                        class="col-md-6 cl-new-project-tbl-div-right">
                                                                                        <div><label
                                                                                                class="label cl-label-new-project-short"
                                                                                                for="id-new-project-inp-p-state">State/Province</label>
                                                                                            <select class="form-control"
                                                                                                type="text"
                                                                                                id="id-new-project-inp-p-state"
                                                                                                name="id-new-project-inp-p-state"> <?php
                                                                                                include_once("us_states.php");
                                                                                            ?> </select>
                                                                                        </div>
                                                                                        <div><span
                                                                                                class="cl-new-project-inp-error-lbl cl-lbl"
                                                                                                id="id-new-project-inp-error-lbl-p-state">Please
                                                                                                enter the project’s
                                                                                                state/province</span>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="form-group cl-div-formset">
                                                                                    <div class="col-md-6 cl-new-project-tbl-div-right"
                                                                                        style="padding-left: 0px;">
                                                                                        <div><label
                                                                                                class="label cl-label-new-project-short"
                                                                                                for="id-new-project-inp-p-zipcode">ZIP/Postal
                                                                                                code</label> <input
                                                                                                class="form-control"
                                                                                                type="text"
                                                                                                id="id-new-project-inp-p-zipcode"
                                                                                                name="id-new-project-inp-p-zipcode"
                                                                                                placeholder="ZIP Code">
                                                                                        </div>
                                                                                        <div><span
                                                                                                class="cl-new-project-inp-error-lbl cl-lbl"
                                                                                                id="id-new-project-inp-error-lbl-p-zipcode">Please
                                                                                                enter the project’s
                                                                                                ZIP/postal code</span>
                                                                                        </div>
                                                                                    </div>
                                                                                    <div
                                                                                        class="col-md-6 cl-new-project-tbl-div-right">
                                                                                        <div><label
                                                                                                class="label cl-label-new-project-short"
                                                                                                for="id-new-project-inp-p-country">Country</label>
                                                                                            <select class="form-control"
                                                                                                type="text"
                                                                                                id="id-new-project-inp-p-country"
                                                                                                name="id-new-project-inp-p-country"> <?php
                                                                                                include_once("countries.php");
                                                                                            ?> </select>
                                                                                        </div>
                                                                                        <div><span
                                                                                                class="cl-new-project-inp-error-lbl cl-lbl"
                                                                                                id="id-new-project-inp-error-lbl-p-country">Please
                                                                                                enter the project’s
                                                                                                country</span></div>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="col-4"
                                                                                    id="id-div-new-project-upper-right-container"
                                                                                    style="display: block;">
                                                                                    <form class="calculatorContainer"
                                                                                        id="id-form-new-project-details"
                                                                                        method="post"
                                                                                        style="background-color:white">
                                                                                        <div class="calculatorBody">
                                                                                            <div
                                                                                                class="cl-new-project-tbl-div">
                                                                                                <div class="form-group cl-div-formset"
                                                                                                    style="padding-bottom:10px">
                                                                                                    <div class="col-md-4 cl-new-project-tbl-div-right"
                                                                                                        style="padding-left:0px;">
                                                                                                        <div>
                                                                                                            <label
                                                                                                                class="label cl-label-new-project-short"
                                                                                                                for="id-calculator-inputs">
                                                                                                                <div class="doc-help-icon"
                                                                                                                    style="margin-left: 3px;">
                                                                                                                    Building
                                                                                                                    Area
                                                                                                                    <img alt="Help Icon"
                                                                                                                        src="images/help_icon.582f7f5c.png"
                                                                                                                        style="width: 1.1em;">
                                                                                                                    <span
                                                                                                                        class="doc-help-text doc-help-text1"
                                                                                                                        style="padding:1rem; background-color: transparent;">
                                                                                                                        <div class="thick-border-no-grid about-blocks"
                                                                                                                            style="min-height: 3em !important; padding: 10px; background-color: #f0f0f0;color: #000;font-size: 1.2em;border: 1px solid #ccc;">
                                                                                                                            Provide the building area in gross sq.ft., rounded up to the nearest whole number. Subtract the area of any portion of a floor used for vehicle parking.
                                                                                                                        </div>
                                                                                                                    </span>
                                                                                                                </div>
                                                                                                            </label>
                                                                                                            <input
                                                                                                                class="form-control"
                                                                                                                type="text"
                                                                                                                id="id-buildingArea"
                                                                                                                name="id-calculator-inputs"
                                                                                                                placeholder="sq. ft">
                                                                                                        </div>
                                                                                                    </div>
                                                                                                    <div
                                                                                                        class="col-md-4 cl-new-project-tbl-div-right">
                                                                                                        <label
                                                                                                            class="label cl-label-new-project-short"
                                                                                                            for="id-new-project-inp-p-city">Site
                                                                                                            Area<div
                                                                                                                class="doc-help-icon"
                                                                                                                style="margin-left: 3px;">
                                                                                                                <img alt="Help Icon"
                                                                                                                    src="images/help_icon.582f7f5c.png"
                                                                                                                    style="width: 1.1em;">
                                                                                                                <span
                                                                                                                    class="doc-help-text doc-help-text2"
                                                                                                                    style="padding:1rem; background-color: transparent;">
                                                                                                                    <div class="thick-border-no-grid about-blocks"
                                                                                                                        style="min-height: 3em !important; padding: 10px; background-color: #f0f0f0;color: #000;font-size: 1.2em;border: 1px solid #ccc;">
                                                                                                                        Provide
                                                                                                                        the
                                                                                                                        site
                                                                                                                        area
                                                                                                                        in
                                                                                                                        acres,rounded
                                                                                                                        up
                                                                                                                        to
                                                                                                                        the
                                                                                                                        nearest
                                                                                                                        whole
                                                                                                                        number.
                                                                                                                        Before
                                                                                                                        converting
                                                                                                                        to
                                                                                                                        acres,
                                                                                                                        you
                                                                                                                        may
                                                                                                                        subtract
                                                                                                                        the
                                                                                                                        area
                                                                                                                        occupied
                                                                                                                        by
                                                                                                                        the
                                                                                                                        building
                                                                                                                        footprint.
                                                                                                                        You
                                                                                                                        may
                                                                                                                        also
                                                                                                                        subtract
                                                                                                                        undeveloped
                                                                                                                        natural
                                                                                                                        areas
                                                                                                                        (e.g.
                                                                                                                        wooded
                                                                                                                        areas)
                                                                                                                        and
                                                                                                                        large
                                                                                                                        grassy
                                                                                                                        fields
                                                                                                                        of
                                                                                                                        play
                                                                                                                        (e.g.
                                                                                                                        soccer
                                                                                                                        field).
                                                                                                                        If
                                                                                                                        there
                                                                                                                        are
                                                                                                                        parking
                                                                                                                        garages
                                                                                                                        on
                                                                                                                        the
                                                                                                                        site,
                                                                                                                        you
                                                                                                                        must
                                                                                                                        ADD
                                                                                                                        the
                                                                                                                        area
                                                                                                                        for
                                                                                                                        each
                                                                                                                        floor
                                                                                                                        or
                                                                                                                        portion
                                                                                                                        of
                                                                                                                        floor
                                                                                                                        which
                                                                                                                        was
                                                                                                                        subtracted
                                                                                                                        from
                                                                                                                        the
                                                                                                                        building
                                                                                                                        area.
                                                                                                                    </div>
                                                                                                                </span>
                                                                                                            </div>
                                                                                                        </label>
                                                                                                        <input class="form-control" type="text" id="id-siteArea" name="id-calculator-inputs" placeholder="acres">
                                                                                                    </div>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </form>
                                                                </div>
                                                                <!-- <form action="API.php" method="post"> -->
                                                                <div class="col-4" id="id-div-new-project-upper-right-container" style="display: block;">
                                                                <div
                                                                    class="row col-12 cl-div-new-project-section-header">
                                                                    <div class="num-circle">3</div>
                                                                    <h6 style="margin: 5px; ">Potential Services Needed <br /></h6>
                                                                    <h3 style="font-size:1em; font-weight:100;  margin-left: 3px;"> (Select all of the <a href="https://thisisud.com/services" target="_blank"><b>isUD services</b></a> you may be interested in for this project)</h3>
                                                                </div>
                                                                <div class="cl-div-new-project-certification-types-holder" style="margin-left:5px;margin-top:0.9em;" >
                                                                    <b>isUD Certification <span style="color:red">*</span></b> <br>
                                                                    <div>
                                                                        <div class="form-check" style="display:inline-block" >
                                                                            <label class="form-check-label custom-control custom-checkbox" style="margin-top:5px;" >
                                                                                <input class="form-radio-input custom-control-input" id="pCGC" type="radio" name="potentCertificate" value="GuidedCertification" aria-label="radio">
                                                                                <div class="custom-control-indicator" style="border-radius:15px;"></div>
                                                                                Guided Certification <br>
                                                                            </label>
                                                                        </div>
                                                                        <div class="form-check" style="display:inline-block" >
                                                                            <label class="form-check-label custom-control custom-checkbox" style="line-height: 14px; margin-top:5px;" >
                                                                                <input class="form-radio-input custom-control-input" id="pCCO" type="radio" name="potentCertificate" value="CertificationOnly" aria-label="radio">
                                                                                <div class="custom-control-indicator" style="border-radius:15px;"></div>
                                                                                Certification Only <br>
                                                                            </label>
                                                                        </div> <br>
                                                                        <div class="cl-new-project-certification cl-lbl" id="potentCertiParent" style="margin-top:-15px; margin-bottom:17px;"><span><span id="potentCertiContainer">Please select the certification type</span></span></div>
                                                                    </div>
                                                                        
                                                                    <b>Other Services Available</b>
                                                                    <div class="cl-div-new-project-service-type-sub-container cl-div-new-project-service-types-holder" style="margin: 5px;">
                                                                        <div class="form-check">
                                                                            <label
                                                                                class="form-check-label custom-control custom-checkbox"
                                                                                style="line-height: 18px; margin-top:5px;">
                                                                                <input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox"
                                                                                    name="potentService"
                                                                                    value="DesignReview"
                                                                                    aria-label="checkbox">
                                                                                <div
                                                                                    class="custom-control-indicator">
                                                                                </div>Design Review <br>
                                                                                <!-- <div
                                                                                    style="margin-left:33px; font-size:0.9em;">
                                                                                    Feedback on design drawings
                                                                                </div> -->
                                                                            </label>
                                                                        </div>
                                                                        <div class="form-check">
                                                                            <label
                                                                                class="form-check-label custom-control custom-checkbox"
                                                                                style="line-height: 14px; margin-top:5px;">
                                                                                <input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox"
                                                                                    name="potentService"
                                                                                    value="FacilitiesAssessment"
                                                                                    aria-label="checkbox">
                                                                                <div
                                                                                    class="custom-control-indicator">
                                                                                </div>Facilities Assessment <br>
                                                                                <!-- <small style="margin-left:33px; font-size:0.9em;">Evaluation of existing facilities</small> -->
                                                                            </label>
                                                                        </div>
                                                                        <div class="form-check">
                                                                            <label
                                                                                class="form-check-label custom-control custom-checkbox"
                                                                                style="line-height: 18px; margin-top:5px;">
                                                                                <input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox"
                                                                                    name="potentService"
                                                                                    value="DesignGuidebookIntegration"
                                                                                    aria-label="checkbox">
                                                                                <div
                                                                                    class="custom-control-indicator">
                                                                                </div>Design Guidebook Development
                                                                                and Integration <br>
                                                                                <!-- <div style="margin-left:33px; font-size:0.9em"> Create or revise your internal guidebooks and templates to include UD</div> -->
                                                                            </label>
                                                                        </div>
                                                                        <div class="form-check">
                                                                            <label
                                                                                class="form-check-label custom-control custom-checkbox"
                                                                                style="line-height: 18px; margin-top:5px;">
                                                                                <input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox"
                                                                                    name="potentService"
                                                                                    value="Research"
                                                                                    aria-label="checkbox">
                                                                                <div
                                                                                    class="custom-control-indicator">
                                                                                </div>Research <br>
                                                                                <!-- <div style="margin-left:33px; font-size:0.9em;"> Find out what facility users really want and need</div> -->
                                                                            </label>
                                                                        </div>
                                                                        <div class="form-check">
                                                                            <label
                                                                                class="form-check-label custom-control custom-checkbox"
                                                                                style="line-height: 18px; margin-top:5px;">
                                                                                <input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox"
                                                                                    name="potentService"
                                                                                    value="Training"
                                                                                    aria-label="checkbox">
                                                                                <div
                                                                                    class="custom-control-indicator">
                                                                                </div>Training <br>
                                                                                <!-- <div style="margin-left:33px; font-size:0.9em"> Provide your teams with the knowledge they need to implement UD </div> -->
                                                                            </label>
                                                                        </div>
                                                                        <div class="form-check">
                                                                            <label
                                                                                class="form-check-label custom-control custom-checkbox"
                                                                                style="line-height: 18px; margin-top:5px;">
                                                                                <input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox"
                                                                                    name="potentService"
                                                                                    value="CodeComplianceAssessment"
                                                                                    aria-label="checkbox">
                                                                                <div
                                                                                    class="custom-control-indicator">
                                                                                </div>Code Compliance Assessment
                                                                                <br>
                                                                                <!-- <div style="margin-left:33px; font-size:0.9em"> Report on project compliance status with certain basic minimum accessibility regulations not repeated in the isUD</div> -->
                                                                            </label>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                </div>
                                                                <!-- </form> -->
                                                            </div>
                                                            <div id="id-div-new-project-lower-container" style="font-size: 1em;">
                                                                <div class="row col-12 cl-div-new-project-section-header">
                                                                    <div class="num-circle">4</div>
                                                                    <h6 style="margin: 5px;">Facility Uses</h6>
                                                                    <div style="margin: 5px;font-size:1.1em">(Select all that apply)</div>
                                                                </div>
                                                                <div class="cl-div-new-project-building-types-holder">
                                                                    <div
                                                                        class="cl-div-new-project-building-type-sub-container">
                                                                        <span class="cl-div-new-project-building-type-sub-header">Community/Recreation</span>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Community Center">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Community Center
                                                                            </label></div>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Gym" aria-label="checkbox">
                                                                                <div class="custom-control-indicator">
                                                                                </div>Gym
                                                                            </label></div>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Pool">
                                                                                <div class="custom-control-indicator">
                                                                                </div>Pool
                                                                            </label></div>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Sports Complex">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Sports Complex
                                                                            </label></div>
                                                                    </div>
                                                                    <div
                                                                        class="cl-div-new-project-building-type-sub-container">
                                                                        <span
                                                                            class="cl-div-new-project-building-type-sub-header">Cultural</span>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Attractions(e.g.,zoo)">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Attractions (e.g.,zoo)
                                                                            </label></div>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Library">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Library
                                                                            </label></div>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Museum/Gallery">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Museum/Gallery
                                                                            </label></div>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Visitor Center">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Visitor Center
                                                                            </label></div>
                                                                    </div>
                                                                    <div
                                                                        class="cl-div-new-project-building-type-sub-container">
                                                                        <span
                                                                            class="cl-div-new-project-building-type-sub-header">Educational</span>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="College/University">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                College/University
                                                                            </label></div>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="K-12 School">
                                                                                <div class="custom-control-indicator">
                                                                                </div>K-12
                                                                                School
                                                                            </label></div>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Preschool/Daycare">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Preschool/Daycare
                                                                            </label></div>
                                                                    </div>
                                                                    <div
                                                                        class="cl-div-new-project-building-type-sub-container">
                                                                        <span
                                                                            class="cl-div-new-project-building-type-sub-header">Food
                                                                            Service</span>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Banquet Facility">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Banquet Facility
                                                                            </label></div>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    name="facilityuses"
                                                                                    value="Cafeteria">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Cafeteria
                                                                            </label></div>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Fast Food">
                                                                                <div class="custom-control-indicator">
                                                                                </div>Fast
                                                                                Food
                                                                            </label></div>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Restaurant/Cafe/Bar">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Restaurant/Cafe/Bar
                                                                            </label></div>
                                                                    </div>
                                                                    <div
                                                                        class="cl-div-new-project-building-type-sub-container">
                                                                        <span
                                                                            class="cl-div-new-project-building-type-sub-header">Healthcare</span>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Clinic/Outpatient Medical Office">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Clinic/Outpatient Medical Office
                                                                            </label></div>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Hospital">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Hospital
                                                                            </label></div>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Nursing Home/Assisted Living">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Nursing Home/Assisted Living
                                                                            </label></div>
                                                                    </div>
                                                                    <div
                                                                        class="cl-div-new-project-building-type-sub-container">
                                                                        <span
                                                                            class="cl-div-new-project-building-type-sub-header">Retail</span>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Bank">
                                                                                <div class="custom-control-indicator">
                                                                                </div>Bank
                                                                            </label></div>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Convenience Store">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Convenience Store
                                                                            </label></div>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Grocery/Food Market">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Grocery/Food Market
                                                                            </label></div>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Large Retail Store">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Large Retail Store
                                                                            </label></div>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Shopping Mall">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Shopping Mall
                                                                            </label></div>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Store/Boutique">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Store/Boutique
                                                                            </label></div>
                                                                    </div>
                                                                    <div
                                                                        class="cl-div-new-project-building-type-sub-container">
                                                                        <span
                                                                            class="cl-div-new-project-building-type-sub-header">Warehouse</span>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="General">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                General
                                                                            </label></div>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Data Center">
                                                                                <div class="custom-control-indicator">
                                                                                </div>Data
                                                                                Center
                                                                            </label></div>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Distribution/Shipping">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Distribution/Shipping
                                                                            </label></div>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Self-Storage Unit">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Self-Storage Unit
                                                                            </label></div>
                                                                    </div>
                                                                    <div
                                                                        class="cl-div-new-project-building-type-sub-container">
                                                                        <span
                                                                            class="cl-div-new-project-building-type-sub-header">Industrial</span>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Manufacturing">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Manufacturing
                                                                            </label></div>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Power Station/Plant">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Power Station/Plant
                                                                            </label></div>
                                                                    </div>
                                                                    <div
                                                                        class="cl-div-new-project-building-type-sub-container">
                                                                        <span
                                                                            class="cl-div-new-project-building-type-sub-header">Lodging</span>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Dormitory">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Dormitory
                                                                            </label></div>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Hotel/Motel/Inn">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Hotel/Motel/Inn
                                                                            </label></div>
                                                                    </div>
                                                                    <div
                                                                        class="cl-div-new-project-building-type-sub-container">
                                                                        <span
                                                                            class="cl-div-new-project-building-type-sub-header">Office</span>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Administrative/Professional">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Administrative/Professional
                                                                            </label></div>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Government">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Government
                                                                            </label></div>
                                                                    </div>
                                                                    <div
                                                                        class="cl-div-new-project-building-type-sub-container">
                                                                        <span
                                                                            class="cl-div-new-project-building-type-sub-header">Assembly</span>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Convention Center">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Convention Center
                                                                            </label></div>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Entertainment(e.g.,concert hall)">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Entertainment (e.g.,concert hall)
                                                                            </label></div>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Stadium/Arena">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Stadium/Arena
                                                                            </label></div>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Religious Services">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Religious Services
                                                                            </label></div>
                                                                    </div>
                                                                    <div
                                                                        class="cl-div-new-project-building-type-sub-container">
                                                                        <span
                                                                            class="cl-div-new-project-building-type-sub-header">Public
                                                                            Safety</span>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Police Station">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Police Station
                                                                            </label></div>
                                                                        <div class="form-check"><label
                                                                                class="form-check-label custom-control custom-checkbox"><input
                                                                                    class="form-check-input custom-control-input"
                                                                                    type="checkbox" name="facilityuses"
                                                                                    value="Fire/Rescue Station">
                                                                                <div class="custom-control-indicator">
                                                                                </div>
                                                                                Fire/Rescue Station
                                                                            </label></div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div id="id-div-new-project-button-container"><input
                                                                    type="button" class="btn btn-primary"
                                                                    id="id-btn-new-project-submit" text="Save"
                                                                    name="facilityuses" value="Save"> <input
                                                                    type="button" class="btn btn-primary"
                                                                    id="id-btn-new-project-cancel" text="Cancel"
                                                                    name="facilityuses" value="Cancel"></div>
                                                        </div>
                                                    </div>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </section>
                    </div>
                </div>
            </div>
        </section>
    </div> <?php
        include_once("Footer.php");
    ?> <?php
        include_once("createProjectErrorPopup.php");
    ?> <?php
        include_once("createProjectSuccessPopup.php");
    ?> <?php
        include_once("createProjectCancelPopup.php");
    ?> <?php
        include_once("IdleTimeLogoutPopup.php");
    ?> <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.1.1/js/tether.min.js"></script>
    <script src="JS/bootstrap.min.61f338f8.js"></script>
    <script src="JS/bootstrap-select.min.69c3d792.js"></script>
    <script src="JS/intlTelInput.min.js"></script>
    <script src="JS/lib-unveil.min.c14400f8.js"></script>
    <script src="JS/banner.min.481c978f.js"></script>
    <script src="JS/project.min.f1b032a8.js"></script>
    <script src="JS/popup.min.cbc0cd32.js"></script>
</body>

</html>