<?php
    include_once("CUserSession.php");
    include_once("CUtil.php");
    // if already logged in - redirect to manage project page
    // make sure it is not in edit mode - no need to redirect 
    if(isLoggedIn()){
        $qs = $_SERVER['QUERY_STRING'];
        if (empty($qs)) {
            header("Location: myProjects.php"); 
            die();
        }
        else {
            $qs = explode('=',$qs);
            if (count($qs) == 2) {
                if (!(strcmp($qs[0], 'edit') == 0 && strcmp($qs[1], 'true') == 0)) {
                    header("Location: myProjects.php"); 
                    die();
                }
            }            
        }     
    } 
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Register/Login - isUD™</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="description"
        content="innovative solutions for Universal Design(isUD™) offers resources and services to support and recognize adopters of universal design. isUD™ provides an interactive platform for browsing innovate solutions for UD, reference designs for designers and design resources that summarize the state of knowledge on a variety of topics related to UD.">
    <meta name="keywords"
        content="inclusive design, universal design, accessibility, ada, barrier free design, wayfinding, anthropometry, design for all, diversity, wheelchair">
    <meta name="copyright"
        content="innovative solutions for Universal Design is a product of the University at Buffalo, Center for Inclusive Design and Environmental Access. All rights reserved.">
    <meta name="dcterms.rightsHolder"
        content="The University at Buffalo, Center for Inclusive Design and Environmental Access.">
    <meta property="og:title" content="Register/Login - isUD™">
    <meta property="og:description"
        content="isUD™ offers resources and services to support and recognize adopters of universal design. isUD™ provides an interactive platform for browsing innovate solutions for UD, reference designs for designers and design resources that summarize the state of knowledge on a variety of topics related to UD.">
    <meta property="og:image" content="/images/isUD_PR_PublicTransit_Facebook.e6c1a408.png">
    <meta property="og:site_name" content="thisisUD">
    <meta property="og:image:width" content="470">
    <meta property="og:image:height" content="246">
    <link rel="Shortcut Icon" href="favicon.ico">
    <link rel="stylesheet" href="CSS/bootstrap.min.7cc40c19.css">
    <link rel="stylesheet" href="CSS/bootstrap-select.min.92f660cd.css">
    <link rel="stylesheet" href="CSS/intlTelInput.62d0a3f6.css">
    <link rel="stylesheet" href="CSS/custom.79b6d971.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/themes/smoothness/jquery-ui.css">
    <script src="https://www.google.com/recaptcha/api.js" async defer="defer"></script>
</head>

<body>
    <div class="cl-container cl-wrapper" id="id-wrapper"> <?php
            if(!isLoggedIn()){ 
                Util::ScopedIncludeOnce("Banner.php", array('includerFile' => __FILE__));
            }else{
                Util::ScopedIncludeOnce("Banner_Login.php", array('includerFile' => __FILE__));
            }
        ?> <section id="id-global-container">
            <div class="cl-div-width-container col-md-12 col-lg-12" style="padding: 0 3rem;">
                <div class="tab-content">
                    <div class="active tab-pane">
                        <section class="small-screen-hidden">
                            
                            <?php 
                if(isset($_GET['edit'])){
                  echo '<div class="cl-info-footer" id="id-title-bar" style="display:flex; margin-top:15px; background: #f9f9f9; padding-left: 2em;">
                                <div class="" id="id-project-title-text" style="align-self: auto;">
                                    <span class="cl-span-site-title">User Profile</span>
                                </div>
                        </div>';
                }
            ?>
                        
                            <div class="col-md-12">
                                <table class="cl-tbl-navs">
                                    <tr>
                                        <td>
                                            <div id="content-holder">
                                            <p style="font-size:15px;margin-top: 1.5em;" class="container tab-content">
                                                    By <?php 
                                                        if(isset($_GET['edit'])){
                                                            echo "saving your profile";
                                                        }else{
                                                            echo "creating an account";
                                                        }
                                                    ?>, you agree to the <a
                                                        href="https://thisisud.com/terms-of-use/">Terms
                                                        of Service</a> and <a
                                                        href="https://thisisud.com/privacy-policy-2/">Privacy
                                                        Policy</a> © 2022 University at Buffalo. All
                                                    rights reserved. 
                                                </p>
                                                <div class="container tab-content">
                                                    <div class="row tab-pane" id="id-pane-register">
                                                        <div class="col-xs-12 col-md-6 cl-div-login-tbl"
                                                            id="id-login-tbl">
                                                            <form class="col-md-8" id="id-form-login" method="post">
                                                                <div class="cl-div-section-msg"><span
                                                                        style="font-size: 1.1em;font-weight: bold;">Login
                                                                        to Existing Account</span><br/></div>
                                                                <div class="cl-div-formset">
                                                                    <div class="cl-login-tbl-div">
                                                                        <div class="form-group cl-div-formset">
                                                                            <div class="cl-login-tbl-div-right">
                                                                                <div><label
                                                                                        class="label cl-label-login-short"
                                                                                        for="id-login-inp-email">E-mail
                                                                                        Address</label></div>
                                                                                <div><input class="form-control"
                                                                                        type="text"
                                                                                        id="id-login-inp-email"
                                                                                        name="id-login-inp-email"
                                                                                        placeholder="E-mail Address">
                                                                                </div>
                                                                                <div><span
                                                                                        class="cl-login-inp-error-lbl cl-lbl"
                                                                                        id="id-login-inp-error-lbl-email">Please
                                                                                        enter a valid email
                                                                                        address.</span></div>
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group cl-div-formset">
                                                                            <div class="cl-login-tbl-div-right">
                                                                                <div><label
                                                                                        class="label cl-label-login-short"
                                                                                        for="id-login-inp-password">Password</label>
                                                                                </div>
                                                                                <div><input class="form-control"
                                                                                        type="password"
                                                                                        id="id-login-inp-password"
                                                                                        name="id-login-inp-password"
                                                                                        placeholder="Password"></div>
                                                                                <div><span
                                                                                        class="cl-login-inp-error-lbl cl-lbl"
                                                                                        id="id-login-inp-error-lbl-password">Please
                                                                                        enter a valid password.</span>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <div><span
                                                                                class="cl-login-inp-error-lbl cl-error-lbl"
                                                                                id="id-login-inp-error-lbl-name">No such
                                                                                user was found.</span></div>
                                                                    </div>
                                                                </div>
                                                                <div id="id-div-login-submit"><a
                                                                        class="cl-login-a-forgot-pass"
                                                                        id="id-login-a-forgot-pass"
                                                                        href="forgotPassword.php">Forgot password?</a>
                                                                    <input id="id-btn-login-submit"
                                                                        class="btn btn-primary pull-right" type="submit"
                                                                        value="Login"></div>
                                                                <p
                                                                    style="font-size:12px;margin-top: 2.5em;text-align: center;">
                                                                    By signing in, you agree to the <a
                                                                        href="https://thisisud.com/terms-of-use/">Terms
                                                                        of Service</a> and <a
                                                                        href="https://thisisud.com/privacy-policy-2/">Privacy
                                                                        Policy</a> © 2020 isUD. All rights reserved</p>
                                                            </form>
                                                        </div>
                                                        <div class="col-xs-12 col-md-6 cl-div-register-tbl"
                                                            id="id-register-tbl">
                                                            <div id="id-div-register-progress">
                                                                <div class="col-md-4 cl-register-progress-tbl-div-left">
                                                                    <i class="fa"
                                                                        id="id-div-register-progress-icon"></i></div>
                                                                <div
                                                                    class="col-md-4 cl-register-progress-tbl-div-right">
                                                                    <span
                                                                        id="id-div-register-progress-msg">Success</span>
                                                                </div>
                                                            </div>
                                                            <form class="col-md-8" id="id-form-register-2"
                                                                method="post">
                                                                <div class="cl-div-section-msg">
                                                                    <span style="font-size: 1.1em;font-weight: bold;">
                                                                        Create a New Free Account
                                                                    </span> <br> 
                                                                    <span style="font-size: 13px;"> to browse all 500 solutions, and select and save the ones you want in your project
                                                                    </span>
                                                                </div>
                                                                <div class="cl-div-formset">
                                                                    <div class="cl-register-tbl-div">
                                                                        <div class="form-group cl-div-formset">
                                                                            <div class="cl-register-tbl-div-right">
                                                                                <div><label
                                                                                        class="label cl-label-register-short"
                                                                                        for="id-register-inp-firstname">First
                                                                                        Name</label><span
                                                                                        style="color:red">*</span></div>
                                                                                <div><input class="form-control"
                                                                                        type="text"
                                                                                        id="id-register-inp-firstname"
                                                                                        name="id-register-inp-firstname"
                                                                                        placeholder="First Name"></div>
                                                                                <div><span
                                                                                        class="cl-register-inp-error-lbl cl-lbl"
                                                                                        id="id-register-inp-error-lbl-fname">Please
                                                                                        enter your First Name.</span>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group cl-div-formset">
                                                                            <div class="cl-register-tbl-div-right">
                                                                                <div><label
                                                                                        class="label cl-label-register-short"
                                                                                        for="id-register-inp-lastname">Last
                                                                                        Name</label><span
                                                                                        style="color:red">*</span></div>
                                                                                <div><input class="form-control"
                                                                                        type="text"
                                                                                        id="id-register-inp-lastname"
                                                                                        name="id-register-inp-lastname"
                                                                                        placeholder="Last Name"></div>
                                                                                <div><span
                                                                                        class="cl-register-inp-error-lbl cl-lbl"
                                                                                        id="id-register-inp-error-lbl-lname">Please
                                                                                        enter your last name.</span>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group cl-div-formset">
                                                                            <div class="cl-register-tbl-div-right">
                                                                                <div><label
                                                                                        class="label cl-label-register-short"
                                                                                        for="id-register-inp-email">E-mail
                                                                                        Address</label><span
                                                                                        style="color:red">*</span></div>
                                                                                <div><input class="form-control"
                                                                                        type="text"
                                                                                        id="id-register-inp-email"
                                                                                        name="id-register-inp-email"
                                                                                        placeholder="E-mail Address">
                                                                                </div>
                                                                                <div><span
                                                                                        class="cl-register-inp-error-lbl cl-lbl"
                                                                                        id="id-register-inp-error-lbl-email">Please
                                                                                        enter a valid email
                                                                                        address.</span></div>
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group cl-div-formset">
                                                                            <div class="cl-register-tbl-div-right">
                                                                                <div><label
                                                                                        class="label cl-label-register-short"
                                                                                        for="id-register-inp-phone">Telephone</label><span
                                                                                        style="color:red">*</span></div>
                                                                                <div><input id="id-register-inp-phone"
                                                                                        name="id-register-inp-phone"
                                                                                        class="form-control" type="tel"
                                                                                        data-width="100%"></div>
                                                                                <div><span
                                                                                        class="cl-register-inp-error-lbl cl-lbl"
                                                                                        id="id-register-inp-error-lbl-phone-number">Please
                                                                                        enter a phone number</span>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group cl-div-formset">
                                                                            <div class="cl-register-tbl-div-right">
                                                                                <div><label
                                                                                        class="label cl-label-register-short"
                                                                                        for="id-register-inp-job-title">Job
                                                                                        Title</label>
                                                                                        <!-- <span style="color:red">*</span> -->
                                                                                    </div>
                                                                                <div><input class="form-control"
                                                                                        type="text"
                                                                                        id="id-register-inp-job-title"
                                                                                        name="id-register-inp-job-title"
                                                                                        placeholder="Job Title"></div>
                                                                                <div><span
                                                                                        class="cl-register-inp-error-lbl cl-lbl"
                                                                                        id="id-register-inp-error-lbl-job-title">Please
                                                                                        enter your Job Title.</span>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group cl-div-formset">
                                                                            <div class="cl-register-tbl-div-right">
                                                                                <div><label
                                                                                        class="label cl-label-register-short"
                                                                                        for="id-register-inp-organization">Company</label>
                                                                                </div>
                                                                                <div><input class="form-control"
                                                                                        type="text"
                                                                                        id="id-register-inp-organization"
                                                                                        name="id-register-inp-organization"
                                                                                        placeholder="Name of your Organization">
                                                                                </div>
                                                                                <div><span
                                                                                        class="cl-register-inp-error-lbl cl-lbl"
                                                                                        id="id-register-inp-error-lbl-organization">Please
                                                                                        enter your organization.</span>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group cl-div-formset">
                                                                            <div class="cl-register-tbl-div-right">
                                                                                <div><label
                                                                                        class="label cl-label-register-short"
                                                                                        for="id-register-inp-role">Which
                                                                                        of the following best describes
                                                                                        your role on a Universal Design
                                                                                        project? <span
                                                                                            style="color:red">*</span></label>
                                                                                </div>
                                                                                <div><select
                                                                                        id="id-register-inp-signuprole"
                                                                                        name="id-register-inp-signuprole"
                                                                                        class="selectpicker"
                                                                                        data-width="100%"></select>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group cl-div-formset">
                                                                            <div class="cl-register-tbl-div-right">
                                                                                <div><label
                                                                                        class="label cl-label-register-short"
                                                                                        for="id-register-inp-reason">What
                                                                                        is your primary reason for
                                                                                        creating an account today? <span
                                                                                            style="color:red">*</span></label>
                                                                                </div>
                                                                                <div><select
                                                                                        id="id-register-inp-signupreason"
                                                                                        name="id-register-inp-signupreason"
                                                                                        class="selectpicker"
                                                                                        data-width="100%"></select>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group cl-div-formset">
                                                                            <div class="cl-register-tbl-div-right">
                                                                                <div><label
                                                                                        class="label cl-label-register-short"
                                                                                        for="id-register-inp-password">Password</label><span
                                                                                        style="color:red">*</span></div>
                                                                                <div><input class="form-control"
                                                                                        type="password"
                                                                                        id="id-register-inp-password"
                                                                                        name="id-register-inp-password"
                                                                                        placeholder="Password"></div>
                                                                                <div><span
                                                                                        class="cl-register-inp-error-lbl cl-lbl"
                                                                                        id="id-register-inp-error-lbl-password">Passwords
                                                                                        should contain at least one
                                                                                        letter and one digit, and be
                                                                                        longer than 6 characters. Both
                                                                                        the password fields must
                                                                                        match.</span></div>
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group cl-div-formset">
                                                                            <div class="cl-register-tbl-div-right">
                                                                                <div><label
                                                                                        class="label cl-label-register-short"
                                                                                        for="id-register-inp-confirmpassword">Confirm
                                                                                        Password</label><span
                                                                                        style="color:red">*</span></div>
                                                                                <div><input class="form-control"
                                                                                        type="password"
                                                                                        id="id-register-inp-confirmpassword"
                                                                                        name="id-register-inp-confirmpassword"
                                                                                        placeholder="Confirm Password">
                                                                                </div>
                                                                                <div><span
                                                                                        class="cl-register-inp-error-lbl cl-lbl"
                                                                                        id="id-register-inp-error-lbl-password">Passwords
                                                                                        should contain at least one
                                                                                        letter and one digit, and be
                                                                                        longer than 6 characters. Both
                                                                                        the password fields must
                                                                                        match.</span></div>
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group cl-div-formset">
                                                                            <div class="cl-register-tbl-div-right">
                                                                                <div><label
                                                                                        class="label cl-label-register-short"
                                                                                        for="id-register-inp-securityquestion">Security
                                                                                        Question</label><span
                                                                                        style="color:red">*</span></div>
                                                                                <div><select
                                                                                        id="id-register-inp-securityquestion"
                                                                                        name="id-register-inp-securityquestion"
                                                                                        class="selectpicker"
                                                                                        data-width="100%"></select>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <div class="form-group cl-div-formset">
                                                                            <div class="cl-register-tbl-div-right">
                                                                                <div><label
                                                                                        class="label cl-label-register-short"
                                                                                        for="id-register-inp-securityanswer">Security
                                                                                        Answer</label><span
                                                                                        style="color:red">*</span></div>
                                                                                <div><input class="form-control"
                                                                                        type="text"
                                                                                        id="id-register-inp-securityanswer"
                                                                                        name="id-register-inp-securityanswer"
                                                                                        placeholder="Security Answer">
                                                                                </div>
                                                                                <div><span
                                                                                        class="cl-register-inp-error-lbl cl-lbl"
                                                                                        id="id-register-inp-error-lbl-securityanswer">Please
                                                                                        enter security answer.</span>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="form-group cl-div-formset">
                                                                    <div class="cl-register-tbl-div-right">
                                                                        <div class="g-recaptcha"
                                                                            id="id-register-inp-recaptcha"
                                                                            name="id-register-inp-recaptcha"
                                                                            data-sitekey="6LcmTSATAAAAACNslepu1t-51FMh47G354aGURLp">
                                                                        </div>
                                                                        <div><span
                                                                                class="cl-register-inp-error-lbl cl-lbl"
                                                                                id="id-register-inp-error-lbl-recaptcha">Complete
                                                                                the re-captcha verification</span></div>
                                                                    </div>
                                                                </div>
                                                                <div id="id-div-register-submit">
                                                                    <div class="cl-register-tbl-div-right"><button
                                                                            id="id-btn-register-submit"
                                                                            class="btn btn-primary"
                                                                            type="button">Create Account</button></div>
                                                                    <div><span class="cl-register-inp-error-lbl cl-lbl"
                                                                            id="id-register-inp-error-lbl-overall">You
                                                                            have one or more erros in input. Please
                                                                            check the form.</span></div>
                                                                </div>                                                                
                                                            </form>
                                                        </div>
                                                    </div>
                                                    <div id="id-pane-reconfirm-pass"
                                                        class="row flex-column-center-parent thick-border-no-grid tab-pane hide">
                                                        <div class="col-xs-12 col-md-6"
                                                            id="id-div-reconfirm-password-content">
                                                            <div class="cl-div-section-msg">
                                                                <h6>Enter your password</h6>
                                                                <p>As an added security measure, re-enter your password.
                                                                </p>
                                                            </div>
                                                            <div class="form-group cl-div-formset">
                                                                <div class="div-reconfirm-pass-tbl">
                                                                    <h6><label class="pull-top"
                                                                            for="id-reconfirm-pass-inp-password">Password</label>
                                                                    </h6>
                                                                </div>
                                                                <div>
                                                                    <div><input class="form-control" type="password"
                                                                            id="id-reconfirm-pass-inp-password"
                                                                            name="id-reconfirm-pass-inp-password"
                                                                            placeholder="Password"></div>
                                                                    <div><span
                                                                            class="cl-reconfirm-pass-inp-error-lbl cl-lbl"
                                                                            id="id-reconfirm-pass-inp-error-lbl-password">Passwords
                                                                            should contain at least one letter and one
                                                                            digit, and be longer than 6
                                                                            characters</span></div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="col-xs-12 col-md-6"
                                                            id="id-div-reconfirm-password-progress" class="hide">
                                                            <div class="col-md-4 cl-register-progress-tbl-div-left"><i
                                                                    class="fa"
                                                                    id="id-div-reconfim-password-progress-icon"></i>
                                                            </div>
                                                            <div class="col-md-8 cl-register-progress-tbl-div-right">
                                                                <span
                                                                    id="id-div-forgot-reconfim-progress-msg">SUCCESS</span>
                                                            </div>
                                                        </div>
                                                        <div class="col-xs-12 col-md-6"
                                                            id="id-div-reconfim-pass-submit"><a
                                                                class="cl-login-a-back-home" id="id-login-a-back-home"
                                                                href="register.php">Back to Home Page</a> <button
                                                                id="id-btn-reconfirm-pass-submit"
                                                                class="btn btn-primary pull-right"
                                                                type="button">Submit</button></div>
                                                    </div>
                                                    <div id="id-pane-new-pass"
                                                        class="thick-border-no-grid tab-pane hide">
                                                        <div id="id-div-new-password-content">
                                                            <div class="cl-div-section-msg">
                                                                <h6>Reset Password</h6>
                                                                <p>Enter your new password</p>
                                                            </div>
                                                            <div class="form-group cl-div-formset">
                                                                <div class="div-new-pass-tbl">
                                                                    <h6><label class="pull-top"
                                                                            for="id-new-pass-inp-password">Password</label>
                                                                    </h6>
                                                                </div>
                                                                <div>
                                                                    <div><input class="form-control" type="password"
                                                                            id="id-new-pass-inp-password"
                                                                            name="id-new-pass-inp-password"
                                                                            placeholder="Password"></div>
                                                                    <div><span class="cl-new-pass-inp-error-lbl cl-lbl"
                                                                            id="id-new-pass-inp-error-lbl-password">Passwords
                                                                            should contain at least one letter and one
                                                                            digit, and be longer than 6
                                                                            characters</span></div>
                                                                </div>
                                                            </div>
                                                            <div class="form-group cl-div-formset"
                                                                id="id-div-new-pass-confirmpassword">
                                                                <div class="div-new-pass-tbl">
                                                                    <h6><label class="pull-top"
                                                                            id="id-span-new-pass-confirmpassword"
                                                                            for="id-new-pass-inp-confirmpassword">Confirm
                                                                            Password</label></h6>
                                                                </div>
                                                                <div>
                                                                    <div><input class="form-control" type="password"
                                                                            id="id-new-pass-inp-confirmpassword"
                                                                            name="id-new-pass-inp-confirmpassword"
                                                                            placeholder="Confirm Password"></div>
                                                                    <div><span class="cl-new-pass-inp-error-lbl cl-lbl"
                                                                            id="id-new-pass-inp-error-lbl-confirmpassword">Both
                                                                            passwords should match</span></div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div id="id-div-new-password-progress" class="hide">
                                                            <div class="col-md-4 cl-new-pass-progress-tbl-div-left"><i
                                                                    class="fa"
                                                                    id="id-div-new-password-progress-icon"></i></div>
                                                            <div class="col-md-8 cl-new-pass-progress-tbl-div-right">
                                                                <span
                                                                    id="id-div-new-password-progress-msg">SUCCESS</span>
                                                            </div>
                                                            <div class="hide" id="login-btn"
                                                                style="display: flex;justify-content: center; align-items: center;">
                                                                <input onclick="location.href='register.php';"
                                                                    id="id-btn-success-login"
                                                                    class="btn btn-primary pull-right" type="submit"
                                                                    value="Login" />
                                                            </div>
                                                        </div>
                                                        <div id="id-div-new-pass-submit"><a
                                                                class="cl-login-a-back-register"
                                                                id="id-login-a-back-register" href="#">Back to
                                                                Login/Register section</a> <button
                                                                id="id-btn-new-pass-submit"
                                                                class="btn btn-primary pull-right"
                                                                type="button">Submit</button></div>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </section>
                        <section class="big-screen-hidden cl-div-solutions-holder">
                            <p>Thank you for your interest in innovative solutions for Universal Design (isUD™). Due to
                                the large amount of content, the solutions are not available on small screens or small
                                browser windows. To see the complete list of solutions, please make your browser window
                                full screen, or access the site on device with a larger screen. If you have any
                                questions, please contact us at <a href="mailto:info@thisisud.com"
                                    target="_blank">info@thisisud.com</a>.</p>
                        </section>
                    </div>
                </div>
            </div>
        </section>
    </div> <?php
        include_once("Footer.php");
    ?> <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.1.1/js/tether.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
        integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous">
    </script>
    <script src="JS/bootstrap.min.61f338f8.js"></script>
    <script src="JS/bootstrap-select.min.69c3d792.js"></script>
    <script src="JS/intlTelInput.min.js"></script>
    <script src="JS/lib-unveil.min.c14400f8.js"></script>
    <script src="JS/banner.min.481c978f.js"></script>
    <script src="JS/register.min.9082a3e0.js"></script>
</body>

</html>