<?php
    include_once("CUserSession.php");
    include_once("CUtil.php");
    if(!isLoggedIn()){
        header('Location: register.php');
        die();
    }
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Solutions - isUD™</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="description"
        content="innovative solutions for Universal Design(isUD™) offers resources and services to support and recognize adopters of universal design. isUD™ provides an interactive platform for browsing innovate solutions for UD, reference designs for designers and design resources that summarize the state of knowledge on a variety of topics related to UD.">
    <meta name="keywords"
        content="inclusive design, universal design, accessibility, ada, barrier free design, wayfinding, anthropometry, design for all, diversity, wheelchair">
    <meta name="copyright"
        content="innovative solutions for Universal Design is a product of the University at Buffalo, Center for Inclusive Design and Environmental Access. All rights reserved.">
    <meta name="dcterms.rightsHolder"
        content="The University at Buffalo, Center for Inclusive Design and Environmental Access.">
    <meta property="og:title" content="Solutions - isUD™">
    <meta property="og:description"
        content="isUD™ offers resources and services to support and recognize adopters of universal design. isUD™ provides an interactive platform for browsing innovate solutions for UD, reference designs for designers and design resources that summarize the state of knowledge on a variety of topics related to UD.">
    <meta property="og:image" content="/images/isUD_PR_PublicTransit_Facebook.e6c1a408.png">
    <meta property="og:site_name" content="thisisUD">
    <meta property="og:image:width" content="470">
    <meta property="og:image:height" content="246">
    <link rel="Shortcut Icon" href="favicon.ico">
    <link rel="stylesheet" href="CSS/jquery.mobile.custom.structure.min.1e0cf97e.css">
    <link rel="stylesheet" href="CSS/jquery.mobile.custom.theme.min.be05784b.css">
    <link rel="stylesheet" href="CSS/bootstrap.min.7cc40c19.css">
    <link rel="stylesheet" href="CSS/custom.79b6d971.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="CSS/awesome-bootstrap-checkbox.d9d70e8e.css">
</head>

<body>
    <div class="cl-container cl-wrapper" id="id-wrapper"> <?php
            if(!isLoggedIn()){
                Util::ScopedIncludeOnce("Banner.php", array('includerFile' => __FILE__));
            }else{
                Util::ScopedIncludeOnce("Banner_Login.php", array('includerFile' => __FILE__));
            }
        ?> <section id="id-global-container">
            <div class="col-md-12 p-0">
                <section>
                    <div id="content-holder" class="ongoing-projects">
                        <div id="id-title-bar">
                            <div class="cl-div-site-breadcrumb-static" style="font-size: 14px;"><span class=""
                                    style="font-size: 14px; font-weight: bold;"><a href="myProjects.php">My Projects</a>
                                    <a href="projectOverview.php" id="id-project-overview-bclink">> Project Overview</a>                                    
                                    <a style="color: black;" class="editPage">> Browse Solutions</a></span></div>          
                        </div>
                        <!-- <div class="cl-info-footer" id="id-title-bar" style="background:none;">
                            <div class="" id="id-project-title-text" style="align-self: auto"><span
                                    class="cl-span-site-title"></span></div>
                            <div class="cl-info-footer hide" id="id-edit-solutions-utility-buttons" style="padding-left: 1px;background: white;width: fit-content;position:relative">                                
                                <button class="btn btn-primary cl-project-edit-btn"
                                    style="margin-right:2px;height:100%;" title="Project Overview">
                                    <img src="images/editbutton.d1636828.png" alt="submit-icon"
                                        style="height:1.8em; padding-right: 5px;"> Project Overview
                                </button>
                                <button class="btn btn-primary cl-pre-sub-print-button" id="print-pdf-button"
                                    style="height:100%;" title="Print"><img src="images/PrintIcon.7c99c5a8.png"
                                        alt="submit-icon" style="height:1.8em; padding-right: 5px;"> Print</button>
                            </div>
                        </div> -->

                        <div class="cl-info-footer" id="id-title-bar" style="background:#f9f9f9;"><div class="" id="id-project-title-text" style="align-self: auto"><span class="cl-span-site-title editPage">Browse Solutions</span></div></div>                        

                        <div id="id-div-chapter-content-top-info">
                            <div class="cl-solutions-section-left"><span>Chapters</span></div>
                            <div class="cl-solutions-section-right" style="display: flex;">
                                <div class="cl-div-info-implemented-holder"
                                    style="flex-grow: 1; justify-content: flex-start; margin-left: 40px;">
                                    <span>Sections</span>
                                </div>
                                <div class="cl-div-info-implemented-holder" style="padding-left: 30px;">
                                    <span>Solutions</span>
                                </div>
                                <div class="cl-div-info-earned-holder" style="padding-left: 30px;"><span>Credits</span>
                                </div>
                                <div class="cl-div-info-toggle-holder"><label
                                        class="custom-control custom-radio flex-row"><span>Section Toggle</span>
                                        <div class="doc-help-icon" style="margin-left: 3px;"><img alt="Help Icon"
                                                src="images/help_icon.582f7f5c.png"
                                                style="width: 1.1em;padding-top: 3px;"> <span class="doc-help-text">
                                                <div class="thick-border-no-grid about-blocks"
                                                    style="min-height: 3em !important;">Toggle yes or no to select
                                                    sections applicable to your project</div>
                                            </span></div><br>
                                    </label></div>
                            </div>
                        </div>
                        <hr>
                        <div class="tab-content" id="id-tab-content-solution">
                            <div id="id-pane-solution" class="tab-pane">
                                <div class="cl-div-solutions-section-holder">
                                    <div class="cl-solutions-section-left">
                                        <div id="id-div-solution-chapter-holder"><a
                                                class="cl-div-solution-chapter-list-item"
                                                id="id-div-solution-chapter-list-item" role="button" href="">
                                                <div class="cl-div-active-bar hide"></div>
                                                <div class="cl-div-chapter-number">1</div>
                                                <div class="cl-div-chapter-title-holder">
                                                    <div class="cl-div-chapter-title">Design Process</div>
                                                    <div class="cl-div-chapter-sub-title">4 Credits</div>
                                                </div>
                                                <div class="cl-div-chapter-chevron-holder"><img
                                                        class="cl-img-chapter-chevron"
                                                        src="images/Chevron_grey.4d6a0abd.png" aria-hidden="true"></div>
                                                <div class="cl-div-chapter-spin-i-holder hide"><i
                                                        class="fa fa-circle-o-notch fa-spin cl-i-chapter-spin"
                                                        aria-hidden="true"></i></div>
                                            </a></div>
                                    </div>
                                    <div class="cl-solutions-section-right">
                                        <div id="id-div-chapter-content-loading" class="thick-border-no-grid hide">
                                        </div>
                                        <div id="id-div-chapter-disabled-msg" class="thick-border-no-grid"><span></span>
                                        </div>
                                        <div id="id-div-chapter-content" class="thick-border-no-grid">
                                            <div id="id-div-chapter-content-h2-holder-dummy" class="hide">
                                                <div class="cl-div-chapter-content-h2-item panel"
                                                    id="id-div-chapter-content-h2-item">
                                                    <div class="cl-div-chapter-content-h2-item-header btn"
                                                        data-toggle="collapse">
                                                        <div class="cl-div-h2-item-number">1.1</div>
                                                        <div class="cl-div-h2-item-title-section-holder">
                                                            <div class="cl-div-h2-item-title-holder"><span
                                                                    class="cl-div-h2-item-title">Project Development
                                                                    Team</span>
                                                                <div class="cl-div-h2-item-image-holder"
                                                                    aria-hidden="true"><img class="cl-img-h2-item-image"
                                                                        data-src="images/Chevron_grey_small.de8d4377.png"
                                                                        src="" alt="chapter chevron"></div>
                                                                <div class="cl-div-h2-item-title-notification-holder"><a
                                                                        class="cl-link-black-font" target="_blank"
                                                                        href="/Docs/content/2016-07-11_Thermal_Comfort.pdf"><i
                                                                            class="fa fa-file-text cl-div-h2-item-pdf-notification"
                                                                            title="Download design resource"></i> <span
                                                                            class="hide">Download design
                                                                            resource</span></a></div>
                                                            </div>
                                                            <div class="cl-div-h2-item-subtitle hide">2 Credits :
                                                                Implement 5 of 7 | 1 Credit: Implement 3 of 7</div>
                                                        </div>
                                                        <div class="cl-div-hx-item-title-edit-status pull-right">
                                                            <div class="cl-div-implemented-ratio-holder">
                                                                <div class="cl-div-ratio-rounded">
                                                                    <div class="cl-div-ratio-rounded-elem-left">
                                                                        <span>2</span>
                                                                    </div>
                                                                    <div class="cl-div-ratio-rounded-elem-right">
                                                                        <span>of 3</span>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="cl-div-earned-ratio-holder">
                                                                <div class="cl-div-ratio-squared">
                                                                    <div class="cl-div-ratio-rounded-elem-left">
                                                                        <span>2</span>
                                                                    </div>
                                                                    <div class="cl-div-ratio-rounded-elem-right">
                                                                        <span>of 3</span>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="cl-div-selection-switch-holder ui-page-theme-a">
                                                                <form>
                                                                    <fieldset><label for="slider-flip-m"
                                                                            class="ui-hidden-accessible">Selection
                                                                            switch</label> <select name="slider-flip-m"
                                                                            id="slider-flip-m" class="cl-slider-flip-m"
                                                                            data-role="flipswitch" data-mini="true">    
                                                                            <option value="off">No</option>    <option
                                                                                value="on">Yes</option>
                                                                        </select>
                                                                    </fieldset>
                                                                </form>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="cl-div-chapter-content-h2-item-pane collapse"
                                                        id="id-div-chapter-content-h2-item-pane">
                                                        <div class="cl-div-chapter-content-solutions-holder">
                                                            <div class="cl-div-h2-solutions-holder">
                                                                <div class="cl-div-h2-solution-item"
                                                                    id="id-div-h2-solution-item">
                                                                    <div class="cl-div-h2-solution-item-header"
                                                                        data-toggle="collapse">
                                                                        <div class="cl-div-h2-solution-item-chevron-holder"
                                                                            aria-hidden="true"><img
                                                                                class="cl-img-h2-solution-item-chevron"
                                                                                data-src="images/PlusIcon.f542cb04.png"
                                                                                src="images/PlusIcon.f542cb04.png"
                                                                                alt="h2 solution chevron"></div>
                                                                        <div
                                                                            class="cl-div-h2-solution-item-number-holder sr-only">
                                                                            <span
                                                                                class="cl-div-h2-solution-item-number-text"></span>
                                                                        </div>
                                                                        <div
                                                                            class="cl-div-h2-solution-item-text-holder">
                                                                            <span
                                                                                class="cl-div-h2-solution-item-prequisite hide">Required</span>
                                                                            <span
                                                                                class="cl-div-h2-solution-item-text">Spaces
                                                                                with similar function and noise
                                                                                requirement are grouped together.</span>
                                                                            <div
                                                                                class="cl-div-h2-solution-item-image-notification-holder hide">
                                                                                <i
                                                                                    class="fa fa-picture-o cl-div-h2-solution-item-image-notification"></i>
                                                                            </div>
                                                                        </div>
                                                                        <form role="form"
                                                                            class="cl-form-solution-checkbox">
                                                                            <div
                                                                                class="cl-div-h2-solution-item-checkbox-holder pull-right checkbox">
                                                                                <label
                                                                                    class="custom-control custom-checkbox"><input
                                                                                        type="checkbox"
                                                                                        class="cl-div-hx-solution-item-checkbox"
                                                                                        value="checkbox"
                                                                                        aria-label="checkbox"> <span
                                                                                        class="custom-control-indicator"></span></label>
                                                                            </div>
                                                                        </form>
                                                                        <div class="candlestick-wrapper review-div">
                                                                            <div data-candlestick-id="test"
                                                                                class="candlestick-bg">
                                                                                <div class="candlestick-toggle"></div>
                                                                                <div class="candlestick-off"><i
                                                                                        class="fa fa-times"></i></div>
                                                                                <div class="candlestick-nc">&nbsp;</div>
                                                                                <div class="candlestick-on"><i
                                                                                        class="fa fa-check"></i></div>
                                                                                <input type="hidden" value=""
                                                                                    name="test" id="test">
                                                                            </div>
                                                                        </div>
                                                                        <form role="form"
                                                                            class="cl-form-solution-checkbox client-review-div">
                                                                            <div
                                                                                class="cl-div-h3-solution-item-checkbox-holder pull-right checkbox">
                                                                                <button
                                                                                    class="client-rb-checkboxCSS"></button>
                                                                            </div>
                                                                        </form>
                                                                        <div class="cl-comment-icon"><input
                                                                                class="sol-comment-img" type="image"
                                                                                style="width:15px;height:15px;"
                                                                                src="images/comment_icon.23834915.png">
                                                                        </div>
                                                                    </div>
                                                                    <div class="cl-div-h2-solution-item-pane collapse"
                                                                        id="id-div-h2-solution-item-pane">
                                                                        <div
                                                                            class="cl-div-solution-item-pane-image-sec-holder">
                                                                            <div
                                                                                class="cl-div-solution-item-pane-image-holder">
                                                                                <div id="id-solution-item-carousel"
                                                                                    class="carousel slide"
                                                                                    data-ride="carousel">
                                                                                    <div class="cl-solution-item-carousel-inner carousel-inner"
                                                                                        role="listbox">
                                                                                        <div class="cl-solution-item-carousel-item active"
                                                                                            id="carousel-item-solution-image-holder">
                                                                                            <img data-src="solution_images/Fig_dummy.b7b51659.png"
                                                                                                src=""
                                                                                                alt="First slide">
                                                                                            <div class="cl-solution-item-carousel-item-image-caption-holder carousel-caption"
                                                                                                style="padding:0px;">
                                                                                                <p
                                                                                                    class="cl-solution-item-carousel-item-image-caption">
                                                                                                    ...</p>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                    <div class="cl-solution-item-carousel-footer hide"
                                                                                        aria-hidden="true"><a
                                                                                            class="left cl-solution-item-carousel-control carousel-control"
                                                                                            href="#id-solution-item-carousel"
                                                                                            role="button"
                                                                                            data-slide="prev"><span
                                                                                                class="icon-prev"
                                                                                                aria-hidden="true"></span>
                                                                                            <span
                                                                                                class="sr-only">Previous</span></a>
                                                                                        <ol
                                                                                            class="cl-solution-item-carousel-indicators carousel-indicators">
                                                                                            <li data-target="#id-solution-item-carousel"
                                                                                                data-slide-to="0"
                                                                                                class="active"></li>
                                                                                        </ol><a
                                                                                            class="right cl-solution-item-carousel-control carousel-control"
                                                                                            href="#id-solution-item-carousel"
                                                                                            role="button"
                                                                                            data-slide="next"><span
                                                                                                class="icon-next"
                                                                                                aria-hidden="true"></span>
                                                                                            <span
                                                                                                class="sr-only">Next</span></a>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <div
                                                                            class="cl-div-solution-item-pane-attrib-sec-holder pull-right">
                                                                            <div class="cl-div-solution-item-pane-attrib-sec-row"
                                                                                style="border-bottom: 5px solid white;min-height: 50px;">
                                                                                <div class="cl-div-h2-solution-item-attrib-header"
                                                                                    style="background: #c7c7c7;"><span
                                                                                        style="margin: 0 auto;">
                                                                                        <h6>Phases</h6>
                                                                                    </span></div>
                                                                                <div class="cl-div-h2-solution-item-attrib-holder"
                                                                                    id="id-div-h2-solution-item-attrib-holder-phases"
                                                                                    style="display: flex;justify-content: center;padding: 10px;">
                                                                                    <div
                                                                                        class="cl-div-h2-solution-item-attrib-item">
                                                                                        <div
                                                                                            class="cl-div-h2-solution-item-attrib-item-indicator">
                                                                                            <i class="fa"
                                                                                                aria-hidden="true"></i>
                                                                                        </div><span
                                                                                            class="cl-div-h2-solution-item-attrib-item-text">Body
                                                                                            Fit</span>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                            <div
                                                                                class="cl-div-solution-item-pane-attrib-sec-row">
                                                                                <div class="cl-div-h2-solution-item-attrib-header"
                                                                                    style="background: #c7c7c7;"><span
                                                                                        style="margin: 0 auto;">
                                                                                        <h6>Goals of UD</h6>
                                                                                    </span></div>
                                                                                <div class="cl-div-h2-solution-item-attrib-holder"
                                                                                    id="id-div-h2-solution-item-attrib-holder-goals"
                                                                                    style="display: flex;justify-content: center; padding: 5px;">
                                                                                    <div
                                                                                        class="cl-div-h2-solution-item-attrib-item">
                                                                                        <div
                                                                                            class="cl-div-h2-solution-item-attrib-item-indicator">
                                                                                            <i class="fa"
                                                                                                aria-hidden="true"></i>
                                                                                        </div><span
                                                                                            class="cl-div-h2-solution-item-attrib-item-text">Body
                                                                                            Fit</span>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            <div class="cl-div-hx-footer cl-div-h2-footer">
                                                                <div class="btn btn-primary btn-sm cl-btn-hx-footer-save"
                                                                    id="id-btn-hx-footer-save" data-role="button">
                                                                    <span>save</span>
                                                                </div>
                                                                <div class="btn btn-primary btn-sm cl-btn-hx-footer-clear"
                                                                    id="id-btn-hx-footer-clear" data-role="button">
                                                                    <span>clear</span>
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <div class="cl-div-chapter-content-h3-holder"
                                                            id="id-div-chapter-content-h3-holder">
                                                            <div class="cl-div-chapter-content-h3-item panel"
                                                                id="id-div-chapter-content-h3-item">
                                                                <div class="cl-div-chapter-content-h3-item-header btn"
                                                                    data-toggle="collapse">
                                                                    <div class="cl-div-h3-item-number">1.1</div>
                                                                    <div class="cl-div-h3-item-title-section-holder">
                                                                        <div class="cl-div-h3-item-title-holder"><span
                                                                                class="cl-div-h3-item-title">Project
                                                                                Development Team</span>
                                                                            <div class="cl-div-h3-item-image-holder"
                                                                                aria-hidden="true"><img
                                                                                    class="cl-img-h3-item-image"
                                                                                    data-src="images/Chevron_grey_small.de8d4377.png"
                                                                                    src="" alt="chapter chevron"></div>
                                                                            <div
                                                                                class="cl-div-h3-item-title-notification-holder">
                                                                                <a class="cl-link-black-font"
                                                                                    target="_blank"
                                                                                    href="/Docs/content/2016-07-11_Thermal_Comfort.pdf"><i
                                                                                        class="fa fa-file-text cl-div-h3-item-pdf-notification"
                                                                                        title="Download design resource"></i>
                                                                                    <span class="hide">Download design
                                                                                        resource</span></a>
                                                                            </div>
                                                                        </div>
                                                                        <div class="cl-div-h3-item-subtitle hide">2
                                                                            Credits : Implement 5 of 7 | 1 Credit:
                                                                            Implement 3 of 7</div>
                                                                    </div>
                                                                    <div
                                                                        class="cl-div-hx-item-title-edit-status pull-right">
                                                                        <div class="cl-div-implemented-ratio-holder">
                                                                            <div class="cl-div-ratio-rounded">
                                                                                <div
                                                                                    class="cl-div-ratio-rounded-elem-left">
                                                                                    <span>2</span>
                                                                                </div>
                                                                                <div
                                                                                    class="cl-div-ratio-rounded-elem-right">
                                                                                    <span>of 3</span>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <div class="cl-div-earned-ratio-holder">
                                                                            <div class="cl-div-ratio-squared">
                                                                                <div
                                                                                    class="cl-div-ratio-rounded-elem-left">
                                                                                    <span>2</span>
                                                                                </div>
                                                                                <div
                                                                                    class="cl-div-ratio-rounded-elem-right">
                                                                                    <span>of 3</span>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <div
                                                                            class="cl-div-selection-switch-holder ui-page-theme-a">
                                                                            <form>
                                                                                <fieldset><label for="slider-flip-m"
                                                                                        class="ui-hidden-accessible">Selection
                                                                                        switch</label> <select
                                                                                        name="slider-flip-m"
                                                                                        id="slider-flip-m"
                                                                                        class="cl-slider-flip-m"
                                                                                        data-role="flipswitch"
                                                                                        data-mini="true">    <option
                                                                                            value="off">No</option>    
                                                                                        <option value="on">Yes</option>
                                                                                    </select></fieldset>
                                                                            </form>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="cl-div-chapter-content-h3-item-pane collapse"
                                                                    id="id-div-chapter-content-h3-item-pane">
                                                                    <div
                                                                        class="cl-div-chapter-content-solutions-holder">
                                                                        <div class="cl-div-h3-solutions-holder">
                                                                            <div class="cl-div-h3-solution-item"
                                                                                id="id-div-h3-solution-item">
                                                                                <div class="cl-div-h3-solution-item-header"
                                                                                    data-toggle="collapse">
                                                                                    <div class="cl-div-h3-solution-item-chevron-holder"
                                                                                        aria-hidden="true"><img
                                                                                            class="cl-img-h3-solution-item-chevron"
                                                                                            data-src="images/PlusIcon.f542cb04.png"
                                                                                            src="images/PlusIcon.f542cb04.png"" alt="
                                                                                            h3 solution chevron"></div>
                                                                                    <div
                                                                                        class="cl-div-h3-solution-item-number-holder sr-only">
                                                                                        <span
                                                                                            class="cl-div-h3-solution-item-number-text"></span>
                                                                                    </div>
                                                                                    <div
                                                                                        class="cl-div-h3-solution-item-text-holder">
                                                                                        <span
                                                                                            class="cl-div-h3-solution-item-prequisite hide">Required</span>
                                                                                        <span
                                                                                            class="cl-div-h3-solution-item-text">Spaces
                                                                                            with similar function and
                                                                                            noise requirement are
                                                                                            grouped together.</span>
                                                                                        <div
                                                                                            class="cl-div-h3-solution-item-image-notification-holder hide">
                                                                                            <i
                                                                                                class="fa fa-picture-o cl-div-h3-solution-item-image-notification"></i>
                                                                                        </div>
                                                                                    </div>
                                                                                    <form role="form"
                                                                                        class="cl-form-solution-checkbox">
                                                                                        <div
                                                                                            class="cl-div-h3-solution-item-checkbox-holder pull-right checkbox">
                                                                                            <label
                                                                                                class="custom-control custom-checkbox"><input
                                                                                                    type="checkbox"
                                                                                                    class="cl-div-hx-solution-item-checkbox"
                                                                                                    value="checkbox"
                                                                                                    aria-label="checkbox">
                                                                                                <span
                                                                                                    class="custom-control-indicator"></span></label>
                                                                                        </div>
                                                                                    </form>
                                                                                    <div
                                                                                        class="candlestick-wrapper review-div">
                                                                                        <div data-candlestick-id="test"
                                                                                            class="candlestick-bg">
                                                                                            <div
                                                                                                class="candlestick-toggle">
                                                                                            </div>
                                                                                            <div
                                                                                                class="candlestick-off">
                                                                                                <i
                                                                                                    class="fa fa-times"></i>
                                                                                            </div>
                                                                                            <div class="candlestick-nc">
                                                                                                &nbsp;</div>
                                                                                            <div class="candlestick-on">
                                                                                                <i
                                                                                                    class="fa fa-check"></i>
                                                                                            </div><input type="hidden"
                                                                                                value="" name="test"
                                                                                                id="test">
                                                                                        </div>
                                                                                    </div>
                                                                                    <form role="form"
                                                                                        class="cl-form-solution-checkbox client-review-div">
                                                                                        <div
                                                                                            class="cl-div-h3-solution-item-checkbox-holder pull-right checkbox">
                                                                                            <button
                                                                                                class="client-rb-checkboxCSS"></button>
                                                                                        </div>
                                                                                    </form>
                                                                                    <div class="cl-comment-icon"><input
                                                                                            class="sol-comment-img"
                                                                                            type="image"
                                                                                            style="width:15px;height:15px;"
                                                                                            src="images/comment_icon.23834915.png">
                                                                                    </div>
                                                                                </div>
                                                                                <div class="cl-div-h3-solution-item-pane collapse"
                                                                                    id="id-div-h3-solution-item-pane">
                                                                                    <div
                                                                                        class="cl-div-solution-item-pane-image-sec-holder">
                                                                                        <div
                                                                                            class="cl-div-solution-item-pane-image-holder">
                                                                                            <div id="id-solution-item-carousel"
                                                                                                class="carousel slide"
                                                                                                data-ride="carousel">
                                                                                                <div class="cl-solution-item-carousel-inner carousel-inner"
                                                                                                    role="listbox">
                                                                                                    <div class="cl-solution-item-carousel-item carousel-item active"
                                                                                                        id="carousel-item-solution-image-holder">
                                                                                                        <img data-src="solution_images/Fig_dummy.b7b51659.png"
                                                                                                            src=""
                                                                                                            alt="First slide">
                                                                                                        <div class="cl-solution-item-carousel-item-image-caption-holder carousel-caption"
                                                                                                            style="padding:0px;">
                                                                                                            <p
                                                                                                                class="cl-solution-item-carousel-item-image-caption">
                                                                                                                ...</p>
                                                                                                        </div>
                                                                                                    </div>
                                                                                                </div>
                                                                                                <div class="cl-solution-item-carousel-footer hide"
                                                                                                    aria-hidden="true">
                                                                                                    <a class="left cl-solution-item-carousel-control carousel-control"
                                                                                                        href="#id-solution-item-carousel"
                                                                                                        role="button"
                                                                                                        data-slide="prev"><span
                                                                                                            class="icon-prev"
                                                                                                            aria-hidden="true"></span>
                                                                                                        <span
                                                                                                            class="sr-only">Previous</span></a>
                                                                                                    <ol
                                                                                                        class="cl-solution-item-carousel-indicators carousel-indicators">
                                                                                                        <li data-target="#id-solution-item-carousel"
                                                                                                            data-slide-to="0"
                                                                                                            class="active">
                                                                                                        </li>
                                                                                                    </ol><a
                                                                                                        class="right cl-solution-item-carousel-control carousel-control"
                                                                                                        href="#id-solution-item-carousel"
                                                                                                        role="button"
                                                                                                        data-slide="next"><span
                                                                                                            class="icon-next"
                                                                                                            aria-hidden="true"></span>
                                                                                                        <span
                                                                                                            class="sr-only">Next</span></a>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                    <div
                                                                                        class="cl-div-solution-item-pane-attrib-sec-holder pull-right">
                                                                                        <div class="cl-div-solution-item-pane-attrib-sec-row"
                                                                                            style="border-bottom: 5px solid white;min-height: 50px;">
                                                                                            <div class="cl-div-h3-solution-item-attrib-header"
                                                                                                style="background: #c7c7c7;">
                                                                                                <span
                                                                                                    style="margin: 0 auto;">
                                                                                                    <h6>Phases</h6>
                                                                                                </span>
                                                                                            </div>
                                                                                            <div class="cl-div-h3-solution-item-attrib-holder"
                                                                                                id="id-div-h3-solution-item-attrib-holder-phases"
                                                                                                style="display: flex;justify-content: center;padding: 10px;">
                                                                                                <div
                                                                                                    class="cl-div-h3-solution-item-attrib-item">
                                                                                                    <div
                                                                                                        class="cl-div-h3-solution-item-attrib-item-indicator">
                                                                                                        <i class="fa"
                                                                                                            aria-hidden="true"></i>
                                                                                                    </div><span
                                                                                                        class="cl-div-h3-solution-item-attrib-item-text">Body
                                                                                                        Fit</span>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                        <div
                                                                                            class="cl-div-solution-item-pane-attrib-sec-row">
                                                                                            <div class="cl-div-h3-solution-item-attrib-header"
                                                                                                style="background: #c7c7c7;">
                                                                                                <span
                                                                                                    style="margin: 0 auto;">
                                                                                                    <h6>Goals of UD</h6>
                                                                                                </span>
                                                                                            </div>
                                                                                            <div class="cl-div-h3-solution-item-attrib-holder"
                                                                                                id="id-div-h3-solution-item-attrib-holder-goals"
                                                                                                style="display: flex;justify-content: center; padding: 5px;">
                                                                                                <div
                                                                                                    class="cl-div-h3-solution-item-attrib-item">
                                                                                                    <div
                                                                                                        class="cl-div-h3-solution-item-attrib-item-indicator">
                                                                                                        <i class="fa"
                                                                                                            aria-hidden="true"></i>
                                                                                                    </div><span
                                                                                                        class="cl-div-h3-solution-item-attrib-item-text">Body
                                                                                                        Fit</span>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        <div class="cl-div-hx-footer cl-div-h3-footer">
                                                                            <div class="btn btn-primary btn-sm cl-btn-hx-footer-save"
                                                                                id="id-btn-hx-footer-save"
                                                                                data-role="button"><span>save</span>
                                                                            </div>
                                                                            <div class="btn btn-primary btn-sm cl-btn-hx-footer-clear"
                                                                                id="id-btn-hx-footer-clear"
                                                                                data-role="button"><span>clear</span>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div id="id-div-chapter-content-h2-holder"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div> <?php
                    include_once("popup_modal.php");
                    include_once("comments_modal.php");
                ?> 
                <!-- <div class="sidebarCSS" style="max-width: 100%;">
                        <div class="row cl-headerCSS"><input class="pre-sub-cl-tab-tbn checklist-btn"
                                id="available-sections-btn" style="margin-right:5px;" value="Available Sections"
                                readonly="readonly" disabled="disabled"><input class="pre-sub-cl-tab-tbn checklist-btn"
                                id="earned-credit-btn" style="margin-right:5px;margin-left:5px;" value="Earned Credit"
                                readonly="readonly"><input class="pre-sub-cl-tab-tbn checklist-btn"
                                id="required-solutions-btn" style="margin-right:5px;margin-left:5px;"
                                value="Required Solutions" readonly="readonly"><input
                                class="pre-sub-cl-tab-tbn checklist-btn hide" id="required-documents-btn"
                                style="margin-left:5px;" value="Required Documents" readonly="readonly"><input
                                class="pre-sub-cl-tab-tbn checklist-btn" id="in-review-checklist-btn"
                                style="margin-left:5px;" value="Review Checklist" readonly="readonly"><input
                                id="cl-checklist" class="cl-close-button" value="X" readonly="readonly">
                        </div>
                        <div class="row">
                            <div class="col-md-12" id="checklist-div" style="margin-left:10px;min-width:650px">
                                <div class="cl-div-project-requirement-expanded-holder"
                                    style="display:block;min-width:650px;">
                                    <div class="cl-div-project-requirement-container"
                                        style="display:block;min-width:650px">
                                        <div class="cl-div-project-requirement-item cl-div-project-requirement-left">
                                            <div id="available-sections-div" class="">
                                                <?php include_once("applicableCreditCheck.php");?> 
                                            </div>
                                            <div id="earned-credit-div" style="display:none;">
                                                <?php include_once("earnedCreditCheck.php");?> 
                                            </div>
                                            <div id="required-solutions-div" style="display:none;">
                                                <?php include_once("requiredSolutionCheck.php");?> </div>
                                            <div id="required-documents-div" style="display:none;">
                                                <?php include_once("requiredDocumentCheck.php");?> </div>
                                            <div id="in-review-checklist-div" style="">
                                                <?php include_once("inReviewChecklist.php");?> 
                                            </div>
                                            <?php include_once("ReviewCheckMessage.php");?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                </div> -->
                </section>
            </div>
        </section>
        <div id="cl-arrowid" class="floatArrow hide">Checklist</div>
    </div> <?php
        include_once("Footer.php");
    ?> <?php
        include_once("IdleTimeLogoutPopup.php");
        include_once("comments_clone.php");
    ?> <div id="empty-div" style="height:110px;display: none;"></div>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.1.1/js/tether.min.js"></script>
    <script src="JS/constants.min.45228e21.js"></script>
    <script src="JS/bootstrap.min.61f338f8.js"></script>
    <script src="JS/jquery.mobile.custom.min.8fe6f447.js"></script>
    <script src="JS/lib-unveil.min.c14400f8.js"></script>
    <script src="JS/banner.min.481c978f.js"></script>
    <script src="JS/solution_l-review.min.86fc7907.js"></script>
    <script src="JS/common.min.e96c050d.js"></script>
    <script src="JS/constants.min.45228e21.js"></script>
    <script src="JS/progressbar.min.c5d0fe77.js"></script>
    <script src="JS/createProjectClick.min.822cf2fb.js"></script>
    <script src="JS/popup.min.cbc0cd32.js"></script>
    <script src="JS/infoSplashPopup.min.449b1572.js"></script>
</body>

</html>