<?php
    include_once("CUserSession.php");
    include_once("CUtil.php");
    if(!isLoggedIn()){
        header("Location: register.php");
        die();
    }
    if(isVerified() == 0){
        // echo(isVerified());
        header("Location: verify.php?verify=pending");
        die();
    }
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <title>My Projects - isUD™</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="description"
        content="isUD™ offers resources and services to support and recognize adopters of universal design. isUD™ provides an interactive platform for browsing innovate solutions for UD, reference designs for designers and design resources that summarize the state of knowledge on a variety of topics related to UD.">
    <meta name="keywords"
        content="inclusive design, universal design, accessibility, ada, barrier free design, wayfinding, anthropometry, design for all, diversity, wheelchair">
    <meta name="copyright"
        content="innovative solutions for Universal Design is a product of the University at Buffalo, Center for Inclusive Design and Environmental Access. All rights reserved.">
    <meta name="dcterms.rightsHolder"
        content="The University at Buffalo, Center for Inclusive Design and Environmental Access.">
    <meta property="og:title" content="Project Dashboard - isUD™">
    <meta property="og:description"
        content="isUD™ offers resources and services to support and recognize adopters of universal design. isUD™ provides an interactive platform for browsing innovate solutions for UD, reference designs for designers and design resources that summarize the state of knowledge on a variety of topics related to UD.">
    <meta property="og:image" content="/images/isUD_PR_PublicTransit_Facebook.e6c1a408.png">
    <meta property="og:site_name" content="thisisUD">
    <meta property="og:image:width" content="470">
    <meta property="og:image:height" content="246">
    <link rel="Shortcut Icon" href="favicon.ico">
    <link rel="stylesheet" href="CSS/bootstrap.min.7cc40c19.css">
    <link rel="stylesheet" href="CSS/bootstrap-select.min.92f660cd.css">
    <link rel="stylesheet" href="CSS/dataTables.bootstrap4.12f1d4f3.css">
    <link rel="stylesheet" href="CSS/custom.79b6d971.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css">
</head>

<body>
    <div class="cl-container cl-wrapper" id="id-wrapper"> <?php
            if(!isLoggedIn()){
                Util::ScopedIncludeOnce("Banner.php", array('includerFile' => __FILE__));
            }else{
                Util::ScopedIncludeOnce("Banner_Login.php", array('includerFile' => __FILE__));
            }
        ?> <section id="id-global-container">
            <div class="cl-div-width-container ongoing-projects">
                <section>
                    <div id="content-holder">
                        <div id="dashboard">
                            <div class="big-screen-hidden cl-div-solutions-holder">
                                <p>Thank you for your interest in innovative solutions for Universal Design (isUD™). Due
                                    to the large amount of content, the solutions are not available on small screens or
                                    small browser windows. To see the complete list of solutions, please make your
                                    browser window full screen, or access the site on device with a larger screen. If
                                    you have any questions, please contact us at <a href="mailto:info@thisisud.com"
                                        target="_blank">info@thisisud.com</a>.</p>
                            </div>
                            <div class="small-screen-hidden cl-div-project-dashboard-holder">
                                <div class="cl-info-footer" id="id-title-bar"
                                    style="display:flex; margin-top:15px; background: #f9f9f9;">
                                    <div class="" id="id-project-title-text" style="align-self: auto;"><span
                                            class="cl-span-site-title">My Projects</span></div>
                                    <div class="cl-info-footer" id="id-buttons-span" style="padding-left: 1px;
                                                    background: white;
                                                    right: 0px;
                                                    width: 300px;"><button
                                            class="btn btn-primary cl-project-browse-btn" id="id-header-browse-btn"
                                            style="margin-right:2px; height:100%;width:60%"
                                            onclick="location.href='solutions_l.php';" title="Browse Solutions"><img
                                                src="images/browsebutton.2423d589.png" alt="browse-icon"
                                                style="height:1.8em;padding-right: 5px;"> Browse Solutions</button>
                                        <button class="btn btn-primary cl-project-create-btn"
                                            id="id-header-new-project-btn" style="height:100%;width:60%"
                                            value="New Project"><img src="images/startproject.d8520d26.png"
                                                alt="start-icon" style="height:1.8em;padding-right: 5px;"> New
                                            Project</button></div>
                                </div>
                                <div style="display:flex;flex-direction:row-reverse">
                                    <div id="id-filter-control" class="cl-div-control"><label
                                            style="min-width: 55px; margin-right:10px;margin-top:2%">Filter By</label>
                                        <select class="form-control" type="text" id="id-filter-by" style="width:150px">
                                            <option value="all">All</option>
                                        </select></div>
                                    <div id="id-sort-control" class="cl-div-control"><label
                                            style="min-width: 50px; margin-right:10px;margin-top:2%">Sort By</label>
                                        <select class="form-control" type="text" id="id-sort-by" style="width:150px">
                                            <option value="project_isud_creation_date">Date created</option>
                                        </select></div>
                                </div>
                                <div id="on-projects-title-div" class="cl-div-ongoing-p-holder">
                                    <div class="col-12 row" style="margin-top:10px; margin-bottom: -15px;">
                                        <div class="col-md-1 cl-div-myproject-info-left" style="text-align: center;">
                                            <div class="cl-div-project-title-holder cl-myProjects-title"
                                                style="padding:0px;display: inline-block;"><span class="">ID</span>
                                            </div>
                                        </div>
                                        <div class="col-md-4 cl-div-myproject-info-left" style="text-align: center;">
                                            <div class="cl-div-project-title-holder cl-myProjects-title"
                                                style="padding:0px;display: inline-block;"><span class="">Name</span>
                                            </div>
                                        </div>
                                        <div class="col-md-2 cl-div-myproject-info-left" style="text-align: center;">
                                            <div class="cl-div-project-title-holder cl-myProjects-title"
                                                style="padding:0px;display: inline-block;"><span class="">Owner</span>
                                            </div>
                                        </div>
                                        <div class="col-md-2 cl-div-myproject-info-left" style="margin-left:-1%; text-align: right;">
                                            <div class="cl-div-project-title-holder cl-myProjects-title"
                                                style="padding:0px;display: inline-block;"><span class="">Status</span>
                                            </div>
                                        </div>
                                        <div class="col-md-2 cl-div-myproject-info-left" style="margin-left:5%;text-align: right;">
                                            <div class="cl-div-project-title-holder cl-myProjects-title"
                                                style="padding:0px;display: inline-block;"><span class="">Score</span>
                                            </div>
                                        </div>
                                    </div>
                                    <hr>
                                    <div class="cl-div-p-item-holder" style="border: none;">
                                        <div class="cl-div-project">
                                            <div class="col-12 row" style="padding-bottom: 0.5em; padding-top: 0.5em;">
                                                <div class="col-md-1 cl-div-myproject-info-left"
                                                    style="display: flex; justify-content: center; align-items: center;">
                                                    <div class="" style="padding-top:10px; display: inline-block;">
                                                    <span class="cl-span-project-sl-no cl-span-site-title">234</span>
                                                    </div>
                                                </div>
                                                <div class="col-md-4 cl-div-myproject-info-left"
                                                    style="display: flex; justify-content: center; align-items: center;">
                                                    <div class="" style="padding-top:10px; display: inline-block;">
                                                        <span class="cl-span-project-title-text cl-span-site-title" style="Text-Transform: Capitalize;">Name</span>
                                                    </div>
                                                </div>
                                                <div class="col-md-2 cl-div-myproject-info-left" style="display: flex; justify-content: center; align-items: center;">
                                                    <div class="" style="padding-top:10px; display: inline-block;">
                                                        <span class="cl-span-project-owner cl-span-site-title" style="Text-Transform: Capitalize;">Sample Owner</span>
                                                    </div>
                                                </div>
                                                <div class="col-md-3 cl-div-myproject-info-left"
                                                    style="display: flex; justify-content: center; align-items: center;">
                                                    <div class="" style="padding-top:10px;display: inline-block;">
                                                    <span class="cl-span-project-status cl-span-site-title">Ongoing</span>
                                                    </div>
                                                </div>
                                                <div class="col-md-2 cl-div-project-info-right"
                                                    style="margin-left:auto; margin-right:0;">
                                                    <div class="cl-div-project-award-details-holder"
                                                        style="margin-left:auto; margin-right:0;">
                                                        <div class="cl-div-project-award">
                                                            <div class="cl-div-project-award-progress-container"
                                                                id="id-div-project-award-progress-container"></div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <hr>
                                        </div>
                                    </div>
                                    <div class="cl-div-p-empty-holder hide">
                                        <h6>Thank you for creating an isUD account.</h6>
                                        <h6 style="margin-bottom: 1.5rem;">The path to certification is easy!</h6>
                                        <div style="padding-bottom: 1rem;"><button
                                                class="btn btn-primary cl-no-projects-btn"
                                                style="float: left;margin-right: 1rem;"
                                                onclick="location.href='solutions_l.php';" title="Browse Solutions"><img
                                                    src="images/browsebutton.2423d589.png" alt="browse-icon"
                                                    style="height:1.8em;padding-right: 5px;"> Browse Solutions</button>
                                            <button class="btn btn-primary cl-no-projects-btn"
                                                onclick="location.href='createProject.php';" title="Create Project"><img
                                                    src="images/startproject.d8520d26.png" alt="start-icon"
                                                    style="height:1.8em;padding-right: 5px;"> Start a Project</button>
                                        </div>
                                         <div style="padding-bottom: 1rem;"><button
                                                class="btn btn-primary cl-no-projects-btn"
                                                onclick="location.href='instructions.php';"
                                                title="Learn how it works!">Learn how it works!</button> 
                                        </div>
                                        <!--<div>
                                            <button
                                                class="btn btn-primary cl-no-projects-btn"
                                                style="float: left;margin-right: 1rem;"
                                                onclick="location.href='profileMemberShip.php';"
                                                title="Membership Options">Membership Options</button>
                                        </div> -->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
            </div>
            <div class="modal fade cl-ud-modal" id="id-modal-upgrade-membership-popup" tabindex="-1" role="dialog"
                aria-labelledby="create-project-success-modal" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered" id="create-project-success-modal" role="document">
                    <div class="modal-content" style="text-align:left">
                        <div class="modal-header" style="border-bottom: none;">
                            <div class="cl-project-submit-option-container">
                                <div class="cl-div-section-msg"><span id="id-team-pop-up-title"
                                        style="font-size: 1.1em;font-weight: bold;">Add Team Member</span> <span
                                        class="hide" id="id-team-member-status" value="1" action="add"></span></div>
                                <div class="cl-div-formset">
                                    <div class="cl-login-tbl-div">
                                        <div class="form-group cl-div-formset">
                                            <div class="cl-login-tbl-div-right">
                                                <div><span class="label cl-label-login-short" id="id-span-upgrade-message"></span></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div id="id-div-add-team-member-submit">
                                    <input id="id-btn-notify-close" style="width: 8rem;" class="btn btn-primary pull-right" value="Close"> 
                                    <!-- <input id="id-btn-notify-upgrade" style="width: 8rem;margin-right: 0.6rem;" class="btn btn-primary cl-btn-notify-upgrade pull-right" value="Upgrade"> -->
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal fade cl-ud-modal" id="select-modal" data-keyboard="false" data-backdrop="static"
                tabindex="-1" role="dialog" aria-labelledby="create-project-success-modal" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered" id="create-project-success-modal" role="document">
                    <div class="modal-content" style="text-align:left">
                        <div class="modal-header" style="border-bottom: none;">
                            <div class="cl-project-submit-option-container">
                                <div class="cl-div-section-msg"><span id="id-team-pop-up-title"
                                        style="font-size: 1.1em;font-weight: bold;">Retain Project</span> <span
                                        class="hide" id="id-team-member-status" value="1" action="add"></span></div>
                                <div class="mt-3 content-checkbox" id="id-project-titles-container">
                                    <div class="form-check" id="id-select-project-form-inputs"><input
                                            class="form-check-input" type="checkbox" id="id-select-project-input"
                                            name="select-project-name-radio" value="1"> <label class="form-check-label"
                                            id="id-select-project-label" for="id-select-project-input">Project 1</label>
                                    </div>
                                </div>
                                <div id="id-div-add-team-member-submit"><input id="id-btn-notify-upgrade"
                                        style="width: 8rem;margin-right: 0.5rem;"
                                        class="btn btn-primary cl-btn-notify-upgrade pull-right" value="Upgrade">
                                    <div class="pull-right" style="margin: 0.5rem;">OR</div><input
                                        id="id-btn-select-project" style="width: 8rem;margin-right: 0rem;"
                                        class="btn btn-primary pull-right" value="Submit">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section> <?php
            include_once("Footer.php");
        ?> <?php
            include_once("projectProfileCheckModal.php");
        ?> <?php
            include_once("projectDashboardDeletePopup.php");
        ?> <?php
            include_once("IdleTimeLogoutPopup.php");
        ?> </div>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.1.1/js/tether.min.js"></script>
    <script type="text/javascript">
    var userRole = '<?php echo $_SESSION["user"]->authtype_id?>';
    var account_user_id = '<?php echo $_SESSION["user"]->_id; ?>';
    var account_user_email = '<?php echo $_SESSION["user"]->email_id; ?>';
    </script>
    <script src="JS/constants.min.45228e21.js"></script>
    <script src="JS/bootstrap.min.61f338f8.js"></script>
    <script src="JS/lib-unveil.min.c14400f8.js"></script>
    <script src="JS/banner.min.481c978f.js"></script>
    <script src="JS/index.min.4e09dd2c.js"></script>
    <script src="JS/progressbar.min.c5d0fe77.js"></script>
    <script src="JS/createProjectClick.min.822cf2fb.js"></script>
    <script src="JS/submitProjectClick.min.301f4bdd.js"></script>
    <script src="JS/popup.min.cbc0cd32.js"></script>
    <script src="JS/myProjects.min.8afe05cb.js"></script>
</body>

</html>