<?php
    include_once("CUserSession.php");
    include_once("CUtil.php");
    if(!isLoggedIn()){
        header("Location: register.php");
        die();
    }
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <title>Print Receipt - isUD™</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="description" content="innovative solutions for Universal Design(isUD™) offers resources and services to support and recognize adopters of universal design. isUD™ provides an interactive platform for browsing innovate solutions for UD, reference designs for designers and design resources that summarize the state of knowledge on a variety of topics related to UD.">
    <meta name="keywords" content="inclusive design, universal design, accessibility, ada, barrier free design, wayfinding, anthropometry, design for all, diversity, wheelchair">
    <meta name="copyright" content="innovative solutions for Universal Design is a product of the University at Buffalo, Center for Inclusive Design and Environmental Access. All rights reserved.">
    <meta name="dcterms.rightsHolder" content="The University at Buffalo, Center for Inclusive Design and Environmental Access.">

    <meta property="og:title" content="Solutions - isUD™" />
    <meta property="og:description" content="isUD™ offers resources and services to support and recognize adopters of universal design. isUD™ provides an interactive platform for browsing innovate solutions for UD, reference designs for designers and design resources that summarize the state of knowledge on a variety of topics related to UD." />
    <meta property="og:image" content="/images/isUD_PR_PublicTransit_Facebook.png" />
    <meta property="og:site_name" content="thisisUD" />
    <meta property="og:image:width" content="470" />
    <meta property="og:image:height" content="246" />

    <link rel="Shortcut Icon" href="favicon.ico">

    <link rel="stylesheet" href="CSS/jquery.mobile.custom.structure.min.1e0cf97e.css">
    <link rel="stylesheet" href="CSS/jquery.mobile.custom.theme.min.be05784b.css">
    <link rel="stylesheet" href="CSS//bootstrap.min.7cc40c19.css">
    <link rel="stylesheet" href="CSS/print.5e94694b.css">
    <link rel="stylesheet" href="CSS/custom.79b6d971.css">

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="CSS/awesome-bootstrap-checkbox.d9d70e8e.css">


</head>

<body>
    <div class="cl-global-container">

        <div class="cl-body-table" style="height:800px;">
                <a class="navbar-brand" href="/">
                        <img style="max-width:65%; padding-left:30px; padding-top:20px;" src="images/cropped-isUD_Logo.a133de77.png" width="30" height="30">
                </a>
        
            <div class="cl-info-footer" id="id-title-bar" style="display:flex; width:100%">
                <div class="" id="id-project-title-text" style="align-self: auto;">
                     <span class="cl-span-site-title">Payment Completed - Thank You</span>
                </div>
            </div>

            <div>
                <p style="padding-left:15px;"> Thank you for your payment.You will receive an email receipt with your payment information. We will contact you if we have any questions regarding your submission, and on your next steps. If you have any questions, please email us at <a href="mailto:info@thisisud.com" target="_blank">info@thisisud.com</a>. </p>
            </div>

            <div class="cl-info-footer" id="id-title-bar" style="display:flex; margin-top:0px; width:100%; background:none">
                    <div class="" id="id-project-title-text" style="align-self: auto;">
                        <span class="cl-span-site-title">Project Summary</span>
                        <span style="padding-left:300px;" class="cl-span-site-title">Billing Information</span>
                    </div>
                </div>

                <div class="row">
                    <div class="column" style="padding-left:30px;">
                        <table style="width:320px;">
                            <tr style="background-color:#f9f9f9;">
                                <td style="text-align:left; font-weight:500; font-size:1rem">Project Name</td>
                                <td id="id-project-name" style="font-weight: normal; font-size: 1rem; text-align:left; text-indent:7.5em;"></td>
                            </tr>
                            <tr style="background-color:white;">
                                <td style="text-align:left; font-weight:500; font-size:1rem">Building Area</td>
                                <td id="id-building-area" style="font-weight: normal; font-size: 1rem; text-align:left; text-indent:7.5em;"></td>
                            </tr>
                            <tr style="background-color:#f9f9f9;">
                                <td style="text-align:left; font-weight:500; font-size:1rem">Site Area</td>
                                <td id="id-site-area" style="font-weight: normal; font-size: 1rem; text-align:left; text-indent:7.5em;"></td>
                            </tr>
                        </table>  
                        <br>
                        <div class="" id="id-project-title-text" style="align-self: auto; font-size:small;">
                            <span class="cl-span-site-title">Project Cost Breakdown</span>
                        </div>
                        <table style="margin-top:10px; width:330px;">
                                <tr style="background-color:white;">
                                    <td style="text-align:left; font-weight:575; font-size:1rem">Submission Type</td>
                                    <td style="font-weight: 575; font-size: 1rem; text-align:left; text-indent:7.5em;">Cost</td>
                                </tr>
                                <table id="pre-cert-div" style="display:none;">
                                <tr style="background-color:white;">
                                    <td style="text-align:left; font-weight:575; font-size:1rem">Pre-Certification</td>
                                    <td style="font-weight: normal; font-size: 1rem; text-align:left; text-indent:7.5em;"></td>
                                </tr>
                                <tr style="background-color:white;">
                                    <td style=" padding-left: 35px;text-align:left; font-weight:575; font-size:1rem">Building:</td>
                                    <td id="id-precert-buidling" style="font-weight: normal; font-size: 1rem; text-align:left; padding-left:25px;text-indent:7.5em;"></td>
                                </tr>
                                <tr style="background-color:white;">
                                    <td style="padding-left: 35px;text-align:left; font-weight:575; font-size:1rem">Site:</td>
                                    <td id="id-precert-site" style="font-weight: normal; font-size: 1rem; text-align:left; padding-left:25px;text-indent:7.5em;"></td>
                                </tr>
                                <tr id="precertcontainer" style="background-color:#f9f9f9;">
                                    <td style="padding-left: 30px;text-align:left; font-weight:575; font-size:1rem">Sub Total</td>
                                    <td id="id-precert-total" style="font-weight: normal; font-size: 1rem; text-align:left; text-indent:7.5em; padding-left:25px;"></td>
                                </tr>
                                </table>
                                <table id="on-site-div" style="display:none;">
                                <tr style="background-color:white;">
                                    <td style="text-align:left; font-weight:575; font-size:1rem">On-Site Audit</td>
                                    <td style="font-weight: normal; font-size: 1rem; text-align:left; text-indent:7.5em;"></td>
                                </tr>
                                <tr style="background-color:white;">
                                    <td style="padding-left: 35px;text-align:left; font-weight:575; font-size:1rem">Building:</td>
                                    <td id="id-onsite-buidling" style="font-weight: normal; font-size: 1rem; text-align:left;padding-left: 45px; text-indent:7.5em;"></td>
                                </tr>
                                <tr style="background-color:white;">
                                    <td style="padding-left: 35px;text-align:left; font-weight:575; font-size:1rem">Site:</td>
                                    <td id="id-onsite-site" style="font-weight: normal; font-size: 1rem; text-align:left;padding-left: 45px; text-indent:7.5em;"></td>
                                </tr>
                                <tr id="onsitecontainer" style="background-color:#f9f9f9;">
                                    <td style="padding-left: 30px;text-align:left; font-weight:575; font-size:1rem">Sub Total</td>
                                    <td id="id-onsite-total" style="font-weight: normal; font-size: 1rem; text-align:left;padding-left: 45px; text-indent:7.5em;"></td>
                                </tr>
                                </table>
                        </table>
                        <table style="background-color:#f9f9f9;">
                            <tr>
                                <td style="text-align:left; font-weight:575; font-size:1rem">Total Amount</td>
                                <td id="id-total-est" style="padding-right:5px; font-weight: normal; font-size: 1rem; padding-left:48px;text-indent:7.5em;"></td>
                            </tr>
                        </table>
                        <br><br>
                    </div>

                    <div class="column" style="width: 300px;margin-top: -10px;">
                        <table style="margin-top:10px; width:320px;">
                            <tr style="background-color:#f9f9f9;">
                                <td id="id-fname" style="text-align:left; font-weight:500; font-size:1rem">First Name</td>
                                <td id="id-lname" style="font-weight: normal; font-size: 1rem; text-align:left; text-indent:7.5em;"> Last Name</td>
                            </tr>
                            <tr style="background-color:white;">
                                <td id="id-addr" colspan="2"  style="text-align:left; font-weight:500; font-size:1rem">Address</td>
                                <!-- <td id="id-addr1" style="font-weight: normal; font-size: 1rem; text-align:left; text-indent:7.5em;"></td> -->
                            </tr>
                            <tr style="background-color:#f9f9f9;">
                                <td id="id-city" style="text-align:left; font-weight:500; font-size:1rem">City </td>
                                <td id="id-state" style="font-weight: normal; font-size: 1rem; text-align:left; text-indent:7.5em;"> State </td>
                            </tr>
                            <tr style="background-color:white;">
                                <td id="id-zip" style="text-align:left; font-weight:500; font-size:1rem">Postal/Zip Code</td>
                                <td id="id-country" style="font-weight: normal; font-size: 1rem; text-align:left; text-indent:7.5em;">Country</td>
                            </tr>
                            <tr style="background-color:#f9f9f9;">
                                <td id="id-email" style="text-align:left; font-weight:500; font-size:1rem">Email </td>
                                <td id="id-phno" style="font-weight: normal; font-size: 1rem; text-align:left; text-indent:7.5em;"> Phone Number </td>
                            </tr>
                        </table>  
                    </div>
                </div>
        
        </td></tr>
        </div>
    </div>


    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.1.1/js/tether.min.js"></script>
    <script src="JS/bootstrap.min.61f338f8.js"></script>
    <script src="JS/jquery.mobile.custom.min.8fe6f447.js"></script>
    <script src="JS/lib-unveil.min.c14400f8.js"></script>
    <script src="JS/paymentReceipt.js"></script>  
</body>

</html>
