<?php
    include_once("CUserSession.php");
    include_once("CUtil.php");
    if(!isLoggedIn()){
        header("Location: register.php");
        die();
    }
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Project Overview - isUD™</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="description"
        content="isUD™ offers resources and services to support and recognize adopters of universal design. isUD™ provides an interactive platform for browsing innovate solutions for UD, reference designs for designers and design resources that summarize the state of knowledge on a variety of topics related to UD.">
    <meta name="keywords"
        content="inclusive design, universal design, accessibility, ada, barrier free design, wayfinding, anthropometry, design for all, diversity, wheelchair">
    <meta name="copyright"
        content="innovative solutions for Universal Design is a product of the University at Buffalo, Center for Inclusive Design and Environmental Access. All rights reserved.">
    <meta name="dcterms.rightsHolder"
        content="The University at Buffalo, Center for Inclusive Design and Environmental Access.">
    <meta property="og:title" content="Project Overview - isUD™">
    <meta property="og:description"
        content="isUD™ offers resources and services to support and recognize adopters of universal design. isUD™ provides an interactive platform for browsing innovate solutions for UD, reference designs for designers and design resources that summarize the state of knowledge on a variety of topics related to UD.">
    <meta property="og:image" content="/images/isUD_PR_PublicTransit_Facebook.e6c1a408.png">
    <meta property="og:site_name" content="thisisUD">
    <meta property="og:image:width" content="470">
    <meta property="og:image:height" content="246">
    <link rel="Shortcut Icon" href="favicon.ico">
    <link rel="stylesheet" href="CSS/bootstrap.min.7cc40c19.css">
    <link rel="stylesheet" href="CSS/bootstrap-select.min.92f660cd.css">
    <link rel="stylesheet" href="CSS/dataTables.bootstrap4.12f1d4f3.css">
    <link rel="stylesheet" href="CSS/custom.79b6d971.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css">
    <style>
    .boxedClass {
        background-color: #f9f9f9;
        width: 100%;
        border: 1px solid #bbc0c8;
        padding: 10px;
        margin: 10px;
    }
    </style>
</head>

<body>
    <div class="cl-container cl-wrapper" id="id-wrapper"> <?php
            if(!isLoggedIn()){
                Util::ScopedIncludeOnce("Banner.php", array('includerFile' => __FILE__));
            }else{
                Util::ScopedIncludeOnce("Banner_Login.php", array('includerFile' => __FILE__));
            }
        ?> <section id="id-global-container">
            <div class="cl-div-width-container big-screen-hidden ongoing-projects">
                <section>
                    <div id="content-holder">
                        <div id="dashboard">
                            <div class="big-screen-hidden cl-div-solutions-holder">
                                <p>Thank you for your interest in innovative solutions for Universal Design (isUD™). Due
                                    to the large amount of content, the solutions are not available on small screens or
                                    small browser windows. To see the complete list of solutions, please make your
                                    browser window full screen, or access the site on device with a larger screen. If
                                    you have any questions, please contact us at <a href="mailto:info@thisisud.com"
                                        target="_blank">info@thisisud.com</a>.</p>
                            </div>
                            <div class="small-screen-hidden cl-div-project-dashboard-holder"></div>
                        </div>
                    </div>
                </section>
            </div>
            <section class="project-overview-container" id="">
                <div class="small-screen-hidden">
                    <div class="projectOverview" id="projectOverview content-holder">
                        <div id="id-title-bar">
                            <div id="id-project-title-text" class="cl-div-site-breadcrumb-static"
                                style="font-size: 14px;"><span class="" style="font-size: 14px;"><a
                                        href="myProjects.php">My Projects<a> <a style="color: black;">> Project
                                                Overview</a></a></a></span></div>
                        </div>

                        <div style="font-size:1em">The scores displayed are preliminary, based only on your isUD Checklist selections, subject
                            to your interpretation. <a href="/contact"><span class="font-weight-bold">Contact us</span></a> to work with a Universal Design expert who can guide you through a project, and ensure your project contains all the necessary elements to
                            earn isUD Certification.</div><br/>

                        <div class="cl-info-footer" id="id-title-bar" style="background:#f9f9f9;">
                            <div class="" id="id-project-title-text" style="align-self: auto"><span
                                    class="cl-span-site-title"></span></div><span class="hide"
                                id="id-expiry-notification"
                                style="color:red;font-size: 0.8rem;margin-left: auto;margin-right: auto;"></span>
                            <div class="cl-info-footer" style="padding-left: 1px;
                                                background: white;
                                                right: 0px;
                                                width: 430px;"><button class="btn btn-primary cl-project-update-btn"
                                    id="editSolutions" style="margin-right:2px;height:100%;width:33%"
                                    title="Edit Checklist"><img src="images/editbutton.d1636828.png" alt="submit-icon"
                                        style="height:1.8em;padding-right: 5px;"> Edit Checklist</button> <button
                                    class="btn btn-primary cl-project-edit-btn"
                                    style="margin-right:2px;height:100%;width:33%" title="Edit Profile"><img
                                        src="images/editbutton.d1636828.png" alt="submit-icon"
                                        style="height:1.8em;padding-right: 5px;"> Edit Profile</button> <button
                                    class="btn btn-primary cl-project-submit-btn" style="height:100%;width:33%"
                                    title="Submit for Review"><img src="images/submitbutton.5195f8f3.png"
                                        alt="submit-icon" style="height:1.8em;padding-right: 5px;"> Submit
                                    Project</button></div>
                        </div>

                        <div class="container-fluid" id="containerFuild">
                            <div class="row">
                                <div class="col-md-3" style="margin-left:-10px;padding-right: 0px;">
                                    <div class="boxedClass projectScoreClass"><span
                                            class="cl-span-project-title-text">Score</span>
                                        <div class="cl-div-project-award" style="margin: 0 auto;">
                                            <div class="cl-div-project-award-progress-container"
                                                id="id-div-project-award-progress-container" style="width: 8vw;"></div>
                                        </div>
                                    </div>
                                    <div class="boxedClass projectInfoClass"><span
                                            class="cl-span-project-title-text">Project Information</span>
                                        <div style="height:5px;"></div>
                                        <div class="cl-div-project-info-left" style="font-size: 12px; width: 120%;">
                                            <ul id="id-ul-unchecked-project-info-item" style="padding-left: 0px"></ul>
                                        </div>
                                        <div style="text-align: right;">
                                            <div class="cl-i-project-edit"
                                                style="margin-left:20px;font-size:12px;margin-top:-25px; font-family: SofiaPro-Light,sans-serif; font-weight: bold; color: #002f56;"
                                                aria-hidden="true" title="Edit Project Information"><img
                                                    src="images/edit_new.a09546b8.png" aria-hidden="true"
                                                    style="margin-right:5px; height:1.3em;">Edit</div>
                                        </div>
                                    </div>
                                    <div class="boxedClass projectContactInfoClass"><span
                                            class="cl-span-project-title-text">Contact Information</span>
                                        <div style="height:5px;"></div>
                                        <div class="cl-div-project-info-left" style="font-size: 12px; width: 120%;">
                                            <ul id="id-ul-unchecked-project-info-item" style="padding-left: 0px"></ul>
                                        </div>
                                        <div style="text-align: right;">
                                            <div class="cl-i-project-edit"
                                                style="margin-left:20px;font-size:12px;margin-top:-25px; font-family: SofiaPro-Light,sans-serif; font-weight: bold; color: #002f56;"
                                                aria-hidden="true" title="Edit Contact Information"><img
                                                    src="images/edit_new.a09546b8.png" aria-hidden="true"
                                                    style="margin-right:5px; height:1.3em;">Edit</div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6" style="padding-right: 10px; padding-left: 10px;">
                                    <div class="boxedClass chapterSectionProgress">
                                        <div><span
                                                class="cl-span-project-title-text cl-img-credits-earned-expand expanding"
                                                style="justify-content: space-between;">Earned Credits <i
                                                    class="fa fa-minus" aria-hidden="true"
                                                    style="float:right;"></i></span></div>
                                        <div class="cl-div-project-award-details-holder cl-info-body"
                                            style="margin: 0 auto; margin-bottom: 0px;">
                                            <div class="cl-div-project-award-credit-details"
                                                style="margin: 0 auto; width: 30em;">
                                                <div class="cl-div-project-award-credit-value-holder">
                                                    <div class="cl-div-project-award-credit-item-holder"><span
                                                            class="cl-span-project-award-credit-item-title"
                                                            style="font-size: 12px; font-weight: 600!important;">Earned</span>
                                                        <span
                                                            class="cl-span-project-award-credit-item-value cl-span-project-award-credit-earned"
                                                            style="font-size: 2.1em;">0</span>
                                                    </div>
                                                    <div class="cl-div-project-award-credit-item-holder"><span
                                                            class="cl-span-project-award-credit-item-title"
                                                            style="font-size: 12px; font-weight: 600!important;">Available</span>
                                                        <span
                                                            class="cl-span-project-award-credit-item-value cl-span-project-award-credit-applicable"
                                                            style="font-size: 2.1em;">100</span>
                                                    </div>
                                                    <div class="cl-div-project-award-credit-item-holder"><span
                                                            class="cl-span-project-award-credit-item-title"
                                                            style="font-size: 12px; font-weight: 600!important;">Bonus</span>
                                                        <span
                                                            class="cl-span-project-award-credit-item-value cl-span-project-award-credit-bonus"
                                                            style="font-size: 2.1em;">0</span>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="cl-div-credits-earned-expanded-holder">
                                            <div><span class="cl-span-project-title-text"
                                                    style="justify-content: space-between;">Earned Credits by
                                                    Chapter</span></div>
                                            <div class="cl-div-project-requirement-container">
                                                <div
                                                    class="cl-div-project-requirement-item cl-div-project-requirement-left">
                                                    <div class="row containChapters"
                                                        style="border-bottom: 40px solid transparent; border-top: 15px solid transparent; padding: 0 20px 0 20px; line-height: 1.2;">
                                                        <div class="col-md-2 cl-div-project-award"
                                                            id="cl-div-project-award"
                                                            style="height:100px ; width:100px; padding: 0 5px 0 10px; width: 7vw; margin: 0 auto;">
                                                            <div class="cl-div-project-award-progress-container"
                                                                id="id-div-project-award-progress-container"
                                                                style="text-align: center; vertical-align: middle; position: relative; margin-bottom: 10px;">
                                                            </div>
                                                            <div class="cl-div-project-award-progress-title"
                                                                id="id-div-project-award-progress-title"
                                                                style="font-size: 0.8em; text-align: center;"></div>
                                                        </div>
                                                    </div>
                                                    <div class="row containChapters2"
                                                        style="border-bottom: 40px solid transparent;     padding: 0 20px 0 20px; line-height: 1.2;">
                                                        <div class="col-md-2 cl-div-project-award"
                                                            id="cl-div-project-award"
                                                            style="height:100px; width:100px; padding: 0 5px 0 10px; margin: 0 auto;">
                                                            <div class="cl-div-project-award-progress-container"
                                                                id="id-div-project-award-progress-container"
                                                                style="text-align: center; vertical-align: middle; position: relative; margin-bottom: 10px;">
                                                            </div>
                                                            <div class="cl-div-project-award-progress-title"
                                                                id="id-div-project-award-progress-title"
                                                                style="font-size: 0.8em; text-align: center;"></div>
                                                        </div>
                                                    </div>
                                                    <div style="text-align: right;">
                                                        <div class="cl-project-solutions-update-btn"
                                                            style="margin-left:20px;font-size:12px;margin-top:-25px; font-family: SofiaPro-Light,sans-serif; font-weight: bold; color: #002f56;" aria-hidden="true" title="Edit Solutions"><img src="images/edit_new.a09546b8.png" aria-hidden="true" style="margin-right:5px; height:1.3em;">Edit</div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="boxedClass projRequirementClass">
                                        <div class=""><span
                                                class="cl-span-project-title-text cl-img-project-requirement-expand"
                                                style="justify-content: space-between;">Preliminary Certification Progress <i
                                                    class="fa fa-plus" aria-hidden="true"
                                                    style="float:right;"></i></span></div>
                                        <div class="cl-div-project-requirement-expanded-holder">
                                            <div class="cl-div-project-requirement-container">
                                                <div
                                                    class="cl-div-project-requirement-item cl-div-project-requirement-left">
                                                    <?php include_once("applicableCreditCheck.php");?>
                                                    <?php include_once("earnedCreditCheck.php");?>
                                                    <?php include_once("requiredSolutionCheck.php");?>
                                                    <?php include_once("requiredDocumentCheck.php");?>
                                                    <?php include_once("ReviewCheckMessage.php");?> </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3 projOverviewRightBoxes">
                                    <!-- <div class="boxedClass projectStatusClass">
                                        <span class="cl-span-project-title-text">Project Status</span>
                                        <div class="cl-div-project-award" style="margin: 0 auto;">
                                            <div id="project-status-id"
                                                style="padding-top: 10px; font-size: x-large; font-weight: 800;">
                                            </div>
                                        </div>
                                    </div> -->
                                    <!-- <div class="boxedClass documentStatus"><span
                                            class="cl-span-project-title-text">Required Documents</span>
                                        <div class="py-3" id="id-document-status">
                                            <div class="col-12 row cl-ignore-bs-padding cl-ignore-bs-right-padding">
                                                <div id="first-col" class="col-"
                                                    style="font-size: 12px;line-height: 15px;">
                                                    <div class="col-12 cl-div-document-upload-type-sub-container-static"
                                                        id="id-div-sub-type-drawings">
                                                        <div id="final-drawings"
                                                            class="cl-div-document-upload-type-sub-header form-check">
                                                            <span class="cl-doc-upload-expand"
                                                                style="justify-content: space-between;"><img
                                                                    src="images/check.4c69edd3.png" id="success"
                                                                    class="cl-img-project-requirement-icon hide"
                                                                    style="height: 20px;width: 20px;"> <img
                                                                    src="images/uncheck.7499ef71.png" id="fail"
                                                                    class="cl-img-project-requirement-icon"
                                                                    style="height: 20px;width: 20px;"> Final Drawings <i
                                                                    class="fa fa-plus" style="margin-left: 0.2em;"
                                                                    aria-hidden="true"></i></span>
                                                        </div>
                                                        <div class="cl-div-doc-upload-expanded-holder"
                                                            style="margin-left: -10px;display: none;">
                                                            <div class="form-check" style="margin-left: 20px"><label
                                                                    class="form-check-label cl-input-required"
                                                                    for="Site Plan"><img src="images/check.4c69edd3.png"
                                                                        id="success"
                                                                        class="cl-img-project-requirement-icon hide"
                                                                        style="height: 20px;width: 20px;"> <img
                                                                        src="images/uncheck.7499ef71.png" id="fail"
                                                                        class="cl-img-project-requirement-icon"
                                                                        style="height: 20px;width: 20px;"> Site
                                                                    Plan</label></div>
                                                            <div class="form-check"><label
                                                                    class="form-check-label cl-input-required"
                                                                    for="Building Plans"><img
                                                                        src="images/check.4c69edd3.png" id="success"
                                                                        class="cl-img-project-requirement-icon hide"
                                                                        style="height: 20px;width: 20px;"> <img
                                                                        src="images/uncheck.7499ef71.png" id="fail"
                                                                        class="cl-img-project-requirement-icon"
                                                                        style="height: 20px;width: 20px;"> Building
                                                                    Plans</label></div>
                                                            <div class="form-check"><label
                                                                    class="form-check-label cl-input-required"
                                                                    for="Building Sections"><img
                                                                        src="images/check.4c69edd3.png" id="success"
                                                                        class="cl-img-project-requirement-icon hide"
                                                                        style="height: 20px;width: 20px;"> <img
                                                                        src="images/uncheck.7499ef71.png" id="fail"
                                                                        class="cl-img-project-requirement-icon"
                                                                        style="height: 20px;width: 20px;"> Building
                                                                    Sections</label></div>
                                                            <div class="form-check"><label
                                                                    class="form-check-label cl-input-required"
                                                                    for="Building Elevations"><img
                                                                        src="images/check.4c69edd3.png" id="success"
                                                                        class="cl-img-project-requirement-icon hide"
                                                                        style="height: 20px;width: 20px;"> <img
                                                                        src="images/uncheck.7499ef71.png" id="fail"
                                                                        class="cl-img-project-requirement-icon"
                                                                        style="height: 20px;width: 20px;"> Building
                                                                    Elevations</label></div>
                                                            <div class="form-check"><label
                                                                    class="form-check-label cl-input-required"
                                                                    for="Details / Shop Drawings"><img
                                                                        src="images/check.4c69edd3.png" id="success"
                                                                        class="cl-img-project-requirement-icon hide"
                                                                        style="height: 20px;width: 20px;"> <img
                                                                        src="images/uncheck.7499ef71.png" id="fail"
                                                                        class="cl-img-project-requirement-icon"
                                                                        style="height: 20px;width: 20px;"> Details /
                                                                    Shop Drawings</label></div>
                                                            <div class="form-check"><label class="form-check-label"
                                                                    for="Lighting Plans"><img
                                                                        src="images/check.4c69edd3.png" id="success"
                                                                        class="cl-img-project-requirement-icon hide"
                                                                        style="height: 20px;width: 20px;"> <img
                                                                        src="images/uncheck.7499ef71.png" id="fail"
                                                                        class="cl-img-project-requirement-icon"
                                                                        style="height: 20px;width: 20px;"> Lighting
                                                                    Plans</label></div>
                                                            <div class="form-check"><label class="form-check-label"
                                                                    for="HVAC Plans"><img
                                                                        src="images/check.4c69edd3.png" id="success"
                                                                        class="cl-img-project-requirement-icon hide"
                                                                        style="height: 20px;width: 20px;"> <img
                                                                        src="images/uncheck.7499ef71.png" id="fail"
                                                                        class="cl-img-project-requirement-icon"
                                                                        style="height: 20px;width: 20px;"> HVAC
                                                                    Plans</label></div>
                                                            <div class="form-check"><label class="form-check-label"
                                                                    for="Interior Design Plan (e.g.Furniture, Signage, etc.)"><img
                                                                        src="images/check.4c69edd3.png" id="success"
                                                                        class="cl-img-project-requirement-icon hide"
                                                                        style="height: 20px;width: 20px;"> <img
                                                                        src="images/uncheck.7499ef71.png" id="fail"
                                                                        class="cl-img-project-requirement-icon"
                                                                        style="height: 20px;width: 20px;"> Interior
                                                                    Design Plan (e.g. Furniture, etc.)</label></div>
                                                            <div class="form-check"><label class="form-check-label"><img
                                                                        src="images/check.4c69edd3.png" id="success"
                                                                        class="cl-img-project-requirement-icon hide"
                                                                        style="height: 20px;width: 20px;"> <img
                                                                        src="images/uncheck.7499ef71.png" id="fail"
                                                                        class="cl-img-project-requirement-icon"
                                                                        style="height: 20px;width: 20px;">
                                                                    Signage</label></div>
                                                            <div class="form-check"><label class="form-check-label"
                                                                    for="Door / Window Schedules"><img
                                                                        src="images/check.4c69edd3.png" id="success"
                                                                        class="cl-img-project-requirement-icon hide"
                                                                        style="height: 20px;width: 20px;"> <img
                                                                        src="images/uncheck.7499ef71.png" id="fail"
                                                                        class="cl-img-project-requirement-icon"
                                                                        style="height: 20px;width: 20px;"> Door / Window
                                                                    Schedules</label></div>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div id="second-col" class="col-"
                                                    style="padding-left: 0%;font-size: 12px;line-height: 10px;">
                                                    <div class="cl-div-document-upload-type-sub-container-static col-12"
                                                        id="id-div-sub-type-specifications">
                                                        <div class="cl-div-document-upload-type-sub-header form-check">
                                                            <label class="form-check-label cl-input-required"
                                                                for="Specifications"><img
                                                                    src="images/check.4c69edd3.png" id="success"
                                                                    class="cl-img-project-requirement-icon hide"
                                                                    style="height: 20px;width: 20px;"> <img
                                                                    src="images/uncheck.7499ef71.png" id="fail"
                                                                    class="cl-img-project-requirement-icon"
                                                                    style="height: 20px;width: 20px;">
                                                                Specifications</label>
                                                            <div></div>
                                                        </div>
                                                    </div>
                                                    <div class="cl-div-document-upload-type-sub-container-static col-12"
                                                        id="id-div-sub-type-ashrae">
                                                        <div class="cl-div-document-upload-type-sub-header form-check">
                                                            <label class="form-check-label"
                                                                for="ASHRAE Commissioning Checklist"><img
                                                                    src="images/check.4c69edd3.png" id="success"
                                                                    class="cl-img-project-requirement-icon hide"
                                                                    style="height: 20px;width: 20px;"> <img
                                                                    src="images/uncheck.7499ef71.png" id="fail"
                                                                    class="cl-img-project-requirement-icon"
                                                                    style="height: 20px;width: 20px;"> ASHRAE
                                                                Commissioning Checklist</label>
                                                        </div>
                                                    </div>
                                                    <div class="cl-div-document-upload-type-sub-container-static col-12"
                                                        id="id-div-sub-type-services">
                                                        <div class="cl-div-document-upload-type-sub-header form-check">
                                                            <label class="form-check-label" for="Services"><img
                                                                    src="images/check.4c69edd3.png" id="success"
                                                                    class="cl-img-project-requirement-icon hide"
                                                                    style="height: 20px;width: 20px;"> <img
                                                                    src="images/uncheck.7499ef71.png" id="fail"
                                                                    class="cl-img-project-requirement-icon"
                                                                    style="height: 20px;width: 20px;"> Services</label>
                                                        </div>
                                                    </div>
                                                    <div class="cl-div-document-upload-type-sub-container-static col-12"
                                                        id="id-div-sub-type-policies">
                                                        <div class="cl-div-document-upload-type-sub-header form-check">
                                                            <label class="form-check-label cl-input-required"
                                                                for="Policies"><img src="images/check.4c69edd3.png"
                                                                    id="success"
                                                                    class="cl-img-project-requirement-icon hide"
                                                                    style="height: 20px;width: 20px;"> <img
                                                                    src="images/uncheck.7499ef71.png" id="fail"
                                                                    class="cl-img-project-requirement-icon"
                                                                    style="height: 20px;width: 20px;"> Policies</label>
                                                        </div>
                                                    </div>
                                                    <div class="cl-div-document-upload-type-sub-container-static col-12"
                                                        id="id-div-sub-type-design">
                                                        <div class="cl-div-document-upload-type-sub-header form-check">
                                                            <label class="form-check-label" for="Design Process"><img
                                                                    src="images/check.4c69edd3.png" id="success"
                                                                    class="cl-img-project-requirement-icon hide"
                                                                    style="height: 20px;width: 20px;"> <img
                                                                    src="images/uncheck.7499ef71.png" id="fail"
                                                                    class="cl-img-project-requirement-icon"
                                                                    style="height: 20px;width: 20px;"> Design
                                                                Process</label>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div style="text-align: right; font-size: 0.7em; padding: 10px 0px 0px 0px;">
                                            <div class="cl-i-project-upload-doc"
                                                style="margin-left:5px; font-family: SofiaPro-Light,sans-serif; font-weight: bold; color: #002f56;">
                                                <img src="images/upload_new.234d93d4.png" aria-hidden="true"
                                                    style="margin-right:5px; height:1.4em;">Upload
                                            </div>
                                        </div>
                                    </div> -->

                                    <div class="boxedClass projectStatusClass">
                                        <div class="cl-span-project-title-text">Potential Services Needed</div>
                                        <div style="margin: 0 auto; zoom:0.8;">
                                            <div class="form-check">
                                                <label class="form-check-label custom-control custom-checkbox Services HideService ProjectGuide" style="line-height: 14px; margin-top:8px;">
                                                        <span class="ServiceNumber">&#x2022;</span>
                                                        Project Guide <br>
                                                </label>
                                            </div>
                                            <div class="form-check">
                                                <label class="form-check-label custom-control custom-checkbox Services HideService FacilitiesAssessment" style="line-height: 14px; margin-top:5px;">
                                                        <span class="ServiceNumber">&#x2022;</span>
                                                        Facilities Assessment <br>                                                        
                                                </label>
                                            </div>
                                            <div class="form-check">
                                                <label class="form-check-label custom-control custom-checkbox Services HideService DesignReview" style="line-height: 14px; margin-top:5px;">
                                                        <span class="ServiceNumber">&#x2022;</span>
                                                        Design Review <br>
                                            </div>
                                            <div class="form-check">
                                                <label class="form-check-label custom-control custom-checkbox Services HideService DesignGuidebookIntegration" style="line-height: 14px; margin-top:5px;">
                                                        <span class="ServiceNumber">&#x2022;</span>
                                                        Design Guidebook Integration <br>
                                                </label>
                                            </div>
                                            <div class="form-check">
                                                <label class="form-check-label custom-control custom-checkbox Services HideService CustomSolutions" style="line-height: 14px; margin-top:5px;">
                                                        <span class="ServiceNumber">&#x2022;</span>
                                                        Custom Solutions<br>
                                                </label>
                                            </div>
                                            <div class="form-check">
                                                <label class="form-check-label custom-control custom-checkbox Services HideService Research" style="line-height: 14px; margin-top:5px;">
                                                        <span class="ServiceNumber">&#x2022;</span>
                                                        Research <br>
                                                </label>
                                            </div>
                                            <div class="form-check">
                                                <label class="form-check-label custom-control custom-checkbox Services HideService Training" style="line-height: 14px; margin-top:5px;">
                                                        <span class="ServiceNumber">&#x2022;</span>
                                                        Training <br>
                                                </label>
                                            </div>
                                            <div class="form-check">
                                                <label class="form-check-label custom-control custom-checkbox Services HideService Certification" style="line-height: 14px; margin-top:5px;">
                                                        <span class="ServiceNumber">&#x2022;</span>
                                                        Certification <br>                                                       
                                                </label>
                                            </div>
                                            <div class="form-check">
                                                <label class="form-check-label custom-control custom-checkbox Services HideService CodeComplianceAssessment" style="line-height: 14px; margin-top:5px;">
                                                        <span class="ServiceNumber">&#x2022;</span>
                                                        Code Compliance Assessment <br>
                                                </label>
                                            </div>
                                        </div>
                                        <div class="cl-span-project-title-text">Certification: 
                                            <span class="HideService form-check-label custom-control GuidedCertification" style="line-height: 14px; margin-top:11px;font-weight:100;font-size:15px;text-indent:3px;">                                                        
                                                        Guided Certification
                                            </span>
                                            <span class="HideService form-check-label custom-control CertificationOnly" style="line-height: 14px; margin-top:11px;font-weight:100;font-size:15px;text-indent:3px;">                                                        
                                                        Certification Only                                                
                                            </span>
                                        </div>
                                        <div class="ServiceEditBtn cl-i-project-edit" aria-hidden="true" title="Edit Project Information"><img src="images/edit_new.a09546b8.png" aria-hidden="true" style="margin-right:5px; height:1.3em;">Edit</div>                                         
                                    </div>

                                    <div class="boxedClass projectStatusClass">
                                        <div class="cl-span-project-title-text">Contact our UD Team</div><span style="font-size:12px;"> Danise Levine, AIA<br> drleine@buffalo.edu, 1.716.829.5903</span>
                                    </div>

                                    <div class="boxedClass projectTeamMembers"><span
                                            class="cl-span-project-title-text">Team Members</span>
                                        <div style="height:5px;"></div>
                                        <div class="cl-div-project-info-left" style="font-size: 12px; width: 120%;">
                                            <ul id="id-ul-unchecked-project-team-member-item" style="padding-left: 0px">
                                            </ul>
                                        </div>
                                        <div style="text-align: right; display: flex;">
                                            <div class="cl-i-project-team-edit"
                                                style="margin-left:20px;font-size:12px;margin-top:-25px; font-family: SofiaPro-Light,sans-serif; font-weight: bold; color: #002f56; flex:1;"
                                                aria-hidden="true" title="Edit Team"><img
                                                    src="images/edit_new.a09546b8.png" aria-hidden="true"
                                                    style="margin-right:5px; height:1.3em;">Edit</div>
                                            <div class="cl-i-project-team-add"
                                                style="margin-left:20px;font-size:12px;margin-top:-25px; font-family: SofiaPro-Light,sans-serif; font-weight: bold; color: #002f56;"
                                                aria-hidden="true" title="Edit Team"><img
                                                    src="images/PlusIcon.f542cb04.png" aria-hidden="true"
                                                    style="margin-right:5px; height:1.3em;">Add Member</div>
                                        </div>                                      
                                    </div>                                    
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
            <div class="modal fade cl-ud-modal" id="id-modal-upgrade-membership-popup" tabindex="-1" role="dialog"
                aria-labelledby="create-project-success-modal" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered" id="create-project-success-modal" role="document">
                    <div class="modal-content" style="text-align:left">
                        <div class="modal-header" style="border-bottom: none;">
                            <div class="cl-project-submit-option-container">
                                <div class="cl-div-section-msg"><span id="id-team-pop-up-title"
                                        style="font-size: 1.1em;font-weight: bold;">Add Team Member</span> <span
                                        class="hide" id="id-team-member-status" value="1" action="add"></span></div>
                                <div class="cl-div-formset">
                                    <div class="cl-login-tbl-div">
                                        <div class="form-group cl-div-formset">
                                            <div class="cl-login-tbl-div-right">
                                                <div><span class="label cl-label-login-short"
                                                        id="id-span-upgrade-message"></span></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div id="id-div-add-team-member-submit"><input id="id-btn-notify-close"
                                        style="width: 8rem;" class="btn btn-primary pull-right" value="Close"> <input
                                        id="id-btn-notify-upgrade" style="width: 8rem;margin-right: 0.6rem;"
                                        class="btn btn-primary pull-right" value="Upgrade"> <button type="button"
                                        id="id-close-cmnts" class="cl-comments-modal-btn">close</button></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section> <?php
            include_once("Footer.php");
        ?> <?php
            include_once("projectProfileCheckModal.php");
        ?> <?php
            include_once("projectDashboardDeletePopup.php");
        ?> <?php
            include_once("IdleTimeLogoutPopup.php");
        ?> <?php
            include_once("popup_modal.php");
            include_once("comments_modal.php");
            include_once("comments_clone.php");
        ?> </div>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.1.1/js/tether.min.js"></script>
    <script type="text/javascript">
    var userRole = '<?php echo $_SESSION["user"]->authtype_id?>';
    var userID = '<?php echo $_SESSION["user"]->_id?>';
    </script>
    <script src="JS/constants.min.45228e21.js"></script>
    <script src="JS/bootstrap.min.61f338f8.js"></script>
    <script src="JS/lib-unveil.min.c14400f8.js"></script>
    <script src="JS/banner.min.481c978f.js"></script>
    <script src="JS/index.min.4e09dd2c.js"></script>
    <script src="JS/progressbar.min.c5d0fe77.js"></script>
    <script src="JS/projectOverview.min.6617a956.js"></script>
    <script src="JS/createProjectClick.min.822cf2fb.js"></script>
    <script src="JS/submitProjectClick.min.301f4bdd.js"></script>
    <script src="JS/popup.min.cbc0cd32.js"></script>
    <script src="JS/infoSplashPopup.min.449b1572.js"></script>
    <script src="JS/common.min.e96c050d.js"></script>
</body>

</html>