<?php
    include_once("CUserSession.php");
    include_once("CUtil.php");
    // if not logged in redirect to login/register page
    if(!isLoggedIn()){
        header("Location: register.php"); 
        die();
    }
?> <!DOCTYPE html><html lang="en"><head><title>User Guide - isUD™</title><meta charset="utf-8"><meta name="viewport" content="width=device-width,initial-scale=1"><meta http-equiv="x-ua-compatible" content="ie=edge"><meta name="description" content="innovative solutions for Universal Design(isUD™) offers resources and services to support and recognize adopters of universal design. isUD™ provides an interactive platform for browsing innovate solutions for UD, reference designs for designers and design resources that summarize the state of knowledge on a variety of topics related to UD."><meta name="keywords" content="inclusive design, universal design, accessibility, ada, barrier free design, wayfinding, anthropometry, design for all, diversity, wheelchair"><meta name="copyright" content="innovative solutions for Universal Design is a product of the University at Buffalo, Center for Inclusive Design and Environmental Access. All rights reserved."><meta name="dcterms.rightsHolder" content="The University at Buffalo, Center for Inclusive Design and Environmental Access."><meta property="og:title" content="Instructions - isUD™"><meta property="og:description" content="isUD™ offers resources and services to support and recognize adopters of universal design. isUD™ provides an interactive platform for browsing innovate solutions for UD, reference designs for designers and design resources that summarize the state of knowledge on a variety of topics related to UD."><meta property="og:image" content="/images/isUD_PR_PublicTransit_Facebook.e6c1a408.png"><meta property="og:site_name" content="thisisUD"><meta property="og:image:width" content="470"><meta property="og:image:height" content="246"><link rel="Shortcut Icon" href="favicon.ico"><link rel="stylesheet" href="CSS/bootstrap.min.7cc40c19.css"><link rel="stylesheet" href="CSS/bootstrap-select.min.92f660cd.css"><link rel="stylesheet" href="CSS/custom.79b6d971.css"><link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css"></head><body><div class="cl-container cl-wrapper" id="id-wrapper"> <?php
            if(!isLoggedIn()){ 
                Util::ScopedIncludeOnce("Banner.php", array('includerFile' => __FILE__));
            }else{
                Util::ScopedIncludeOnce("Banner_Login.php", array('includerFile' => __FILE__));
            }
        ?> <section id="id-global-container"><div class="cl-div-width-container col-md-12 col-lg-12"><section class="project-overview-container"><div class="small-screen-hidden"><div class="projectOverview" id="projectOverview content-holder"><div id="id-title-bar"><div id="id-project-title-text" class="cl-div-site-breadcrumb-static" style="font-size: 14px;"><span class="" style="font-size: 14px;"><a href="myProjects.php">My Projects<a> <a style="color: black;">> User Guide</a></a></a></span></div></div><div class="cl-info-footer" id="id-title-bar" style="background:#f9f9f9;"><div class="" id="id-project-title-text" style="align-self: auto"><span class="cl-span-site-title">User Guide</span></div></div>
    
    <p style="display:block; font-size:14px;margin-lef:5px;">This guide explains how the isUD Wishlist and isUD Certification scoring system works. The scoring and credits may sound complicated, but the good news is that website does all the math for you and you do not need to do it alone. <a href="contact.php">Contact us</a> to work with a Universal Design expert who can guide you through a project, and ensure your project contains all the necessary elements to earn isUD Certification.</p>        

    <div class="container-fluid" id="content-holder"><div class="row"><div id="instructions col-md-12"><div><div class="col-md-12"><div class="cl-div-instructions-holder"><button id="question9" data-toggle="collapse" class="btn btn-lg collapsed user-guide-questions" data-target="#answer9"><h6 class="expand-sign">+</h6><h6>How do I navigate the solutions?</h6></button><div id="answer9" class="collapse user-guide-answers"><p>The solutions are organized into nine chapters. Click a chapter heading on the left to see the sections in that chapter. The numbers indicate the amount of credits earned out of the number available in that chapter. <a href="#question10" onclick="$('#answer10').collapse('show');">Learn more about how your project is evaluated and scored.</a> Click a section heading to reveal the solutions or subsections in each section<br>The following symbols are used when browsing solutions:<br><i class="fa fa-picture-o cl-div-h2-solution-item-image-notification"></i> : Drawing(s) or image(s) related to the solution<br><i class="fa fa-file-text cl-div-h2-item-pdf-notification"></i> : Design Resource (PDF) related to the chapter section or subsection<br>The following symbols are used when editing solutions associated with a specific project:<br>             
    
    <table style="border:1px solid black;">
        <tr style="border:1px solid black;">
            <td style="border:1px solid black;"> <img alt="toggle on-off image" src="images/ToggleButton_on_off.702b26c3.png"></td>
            <td style="border:1px solid black; padding-left:5px">All sections are marked ”yes” by default. <a href="#question11" onclick="$('#answer11').collapse('show');">Learn more about which sections are applicable to your project.</a> Toggle no to identify sections that are not applicable to your project.</td>
        </tr>
        <tr style="border:1px solid black;">
            <td style="border:1px solid black"><img alt="Solutions pill image" src="images/SolutionsPill.ea4a51e3.png"></td>
            <td style="border:1px solid black; padding-left:5px"> Indicates the number of solutions selected out of the total available in that section. <a href="#answer10">Learn more about how projects are evaluated and scored.</td>
        </tr>
        <tr style="border:1px solid black;">
            <td style="border:1px solid black"><img alt="Credits image" src="images/Credits.df340fa2.png"></td>
            <td style="border:1px solid black; padding-left:5px">Indicates the number of credits selected out of the total available in that section. <a href="#question10" onclick="$('#answer10').collapse('show');">Learn more about how projects are evaluated and scored.</td>
        </tr>
        <tr style="border:1px solid black">
            <td style="border:1px solid black"><img alt="empty checkbox image" src="images/Checkbox_Off.915f41df.png"></td>
            <td style="border:1px solid black; padding-left:5px"> Indicates the solution has not been selected for inclusion in the project. All checkboxes are set to empty by default.<br></td>
        </tr>
        <tr style="border:1px solid black">
            <td style="border:1px solid black"><img alt="checked checkbox image" src="images/Checkbox_On.1399cdb7.png"></td>
            <td style="border:1px solid black; padding-left:5px">Indicates the solution is selected for inclusion in the project and is counted toward your score. <a href="#question10" onclick="$('#answer10').collapse('show');">Learn more about how projects are evaluated and scored.</a></td>
        </tr>
    </table></p></div>

    <button id="question10" data-toggle="collapse" class="btn btn-lg collapsed user-guide-questions" data-target="#answer10"><h6 class="expand-sign">+</h6><h6>How are projects scored and evaluated?</h6></button><div id="answer10" class="collapse user-guide-answers"><ul><li>Each section is worth a stated number of credits. Credit is earned by selecting the stated number of solutions from the list of options in each applicable section. Projects must earn enough credits to meet a minimum threshold.</li><li>Some projects are more complex and/or larger-scale than other projects. The number of available credits can therefore vary for each project based on the number of sections applicable to that project. <a href="#question11" onclick="$('#answer11').collapse('show');">Learn more about which sections are applicable to your project.</a></li><li>Credits are earned by selecting the stated number of solutions in each applicable section or subsection. <a href="#question12" onclick="$('#answer12').collapse('show');">Learn more about how your project can earn credit.</a></li><li>Bonus credits are available to encourage design beyond the minimum number of solutions to earn credit. <a href="#question13" onclick="$('#answer13').collapse('show');">Learn more about how your project can earn bonus credits.</a></li><li>Some solutions are marked as “required” for achieving universal design. If a section is applicable to a project, all required solutions in that section must be selected for implementation in the project. <a href="#question14" onclick="$('#answer14').collapse('show');">Learn more about required solutions.</a></li><li>If there are multiple or repeated spaces and elements in your project, the selected solutions must apply to all spaces and elements unless otherwise specified by the solution. <a href="#question15" onclick="$('#answer15').collapse('show');">Learn more about how to handle repeated spaces and elements.</a></li><li>The minimum score for Self-assessment and isUD Certification changes for each project based on the number of available credits. <a href="#question16" onclick="$('#answer16').collapse('show');">Learn more about how the minimum score is determined.</a></li><li>The project score is a percentage of the credits earned out of the credits available, plus bonus credits. <a href="#question17" onclick="$('#answer17').collapse('show');">Learn more about how the project score is calculated.</a></li></ul></div><button id="question11" data-toggle="collapse" class="btn btn-lg collapsed user-guide-questions" data-target="#answer11"><h6 class="expand-sign">+</h6><h6>Which credits are available for my project?</h6></button><div id="answer11" class="collapse user-guide-answers"><ul><li>Certain sections of the isUD are not applicable in every project. The credits associated with these sections are therefore not counted as available credits. For example, the sleeping rooms section would likely not be applicable to an office building.</li><li>A project must have at least 55 or 60 available credits (depending on whether or not the project has a surrounding site) to be eligible for isUD Certification. This assures that projects are not too narrow in scope to warrant certification.</li><li>Users are responsible for selecting the sections that are applicable to their projects, and thereby the number of available credits. However, the isUD team makes a final determination as to whether or not a section is applicable, and by extension, if its credits should be available. For example, if the sleeping rooms section of a hotel project is marked “no” (not applicable), it would likely be rejected even if all other criteria are satisfied. </li></ul></div><button id="question12" data-toggle="collapse" class="btn btn-lg collapsed user-guide-questions" data-target="#answer12"><h6 class="expand-sign">+</h6><h6>How does my project earn credit?</h6></button><div id="answer12" class="collapse user-guide-answers"><p>If every credit were available to a project, there would be 100 regular credits, plus 10 possible bonus credits, for a maximum score of 110. Most sections are worth 1 credit but some sections are worth 2 or 3 credits. To earn credit in a section, a facility must implement stated number of solutions in that section. The required number of solutions is different for each section depending on the importance of the section and relative difficulty of implementing the solutions in that section. Each section lists the minimum number of solutions necessary to earn credit in that section.<br></p><div class="cl-div-instructions-example">Example<br>2 Credits: Implement 4 of 7 | 1 Credit: Implement 3 of 7</div><br>Thus, to earn credit in this section, at least 3 solutions must be selected for implementation in your project. 2 credits can be earned by selecting 4 solutions for implementation.<br>Sometimes implementing one solution automatically counts towards a second solution. For example, implementing the solution, “clear floor spaces … are at least 34 inches wide …” also means they are “at least 32 inches wide.” Thus, both solutions count toward the minimum necessary to earn the credits available in this section.<br>If in the above example, only 1 solution is selected for implementation, credit cannot be earned for that section, but that solution will count toward bonus credit. Similarly, if in the above example, 5 solutions are selected for implementation, 4 count toward earning 2 credits and the remaining solution would count toward bonus credit. <a href="#question13" onclick="$('#answer13').collapse('show');">Learn more about how your project can earn bonus credits.</a><p></p></div><button id="question13" data-toggle="collapse" class="btn btn-lg collapsed user-guide-questions" data-target="#answer13"><h6 class="expand-sign">+</h6><h6>How can my project earn bonus credits?</h6></button><div id="answer13" class="collapse user-guide-answers"><p>Projects earn 1 bonus credit for every 5 solutions implemented in any section where the project exceeds the minimum number of solutions or where no credit was earned. Projects are eligible for a maximum of 10 bonus credits. This encourages projects to go beyond the minimums and address sections where they might not otherwise seek credit.</p></div><button id="question14" data-toggle="collapse" class="btn btn-lg collapsed user-guide-questions" data-target="#answer14"><h6 class="expand-sign">+</h6><h6>How do required solutions affect my project?</h6></button><div id="answer14" class="collapse user-guide-answers"><p>Certain solutions are marked as “required.” These are essential features for achieving universal design. If a section is applicable, then all required solutions in that section must be selected for implementation to qualify for isUD Certification, regardless of the number of other solutions implemented. </p></div><button id="question15" data-toggle="collapse" class="btn btn-lg collapsed user-guide-questions" data-target="#answer15"><h6 class="expand-sign">+</h6><h6>How are repeated building elements handled?</h6></button><div id="answer15" class="collapse user-guide-answers"><p>Certain spaces and elements repeat many times in a project. For example, multiple toilet and bathing rooms, sleeping rooms, and workstations may exist in a project. Unless otherwise specified, each solution listed applies to all elements in the space.</p><div class="cl-div-instructions-example my-2">Example<br>Solution: "Lavatories have automatic faucets, or are operated following a common conceptual model."</div><div class="cl-div-instructions-example my-2">Example<br>Solution: "Selected lavatories and counters are adjustable in height."</div><br>This example solution has a more narrow scope. It allows the designer to select certain lavatories and counters to be adjustable in height. The selection process must be intentional and equitable. The "selected" lavatories cannot be only in the Men's toilet rooms, for example.<br>Other solutions might specify, "at least one," or "at least 50%." If the scope of the solution is unclear, assume it applies to "all."<p></p></div><button id="question19" data-toggle="collapse" class="btn btn-lg collapsed user-guide-questions" data-target="#answer19"><h6 class="expand-sign">+</h6><h6>What is the minimum score for isUD Certification?</h6></button><div id="answer19" class="collapse user-guide-answers"><p>To qualify for isUD Certification, a project must implement enough solutions to earn 1 credit in every applicable section or earn enough bonus credits to offset any sections where credit was not earned. Thus, the minimum score for certification is simply a count of the number of sections marked “yes.” Since every project has a different number of available credits, the minimum score for certification may vary slightly between projects. Typically, the minimum threshold for certification is 70-75, but it is possible for the threshold to be higher or lower depending on the specific combination of sections applicable to a given project. Learn more about which sections are applicable to your project.</p></div><button id="question17" data-toggle="collapse" class="btn btn-lg collapsed user-guide-questions" data-target="#answer17"><h6 class="expand-sign">+</h6><h6>How is the project score calculated?</h6></button><div id="answer17" class="collapse user-guide-answers"><p>The project score is calculated by adding the number of credits earned, dividing by the number of available credits, multiplying by 100, and then adding any bonus credits (up to a maximum of 10).</p></div><button id="question18" data-toggle="collapse" class="btn btn-lg collapsed user-guide-questions" data-target="#answer18"><h6 class="expand-sign">+</h6><h6>What if I am not sure of the meaning of a solution or how it will be interpreted for scoring?</h6></button><div id="answer18" class="collapse user-guide-answers"><p>The solutions have been carefully worded to convey a certain meaning and to minimize subjective interpretation. However, where solutions are subject to interpretation, drawings, images, as well as design resources and referenced documents have been provided for further clarification. Follow any guidance and dimensional criteria within these figures and documents. Additionally, the following conventions apply:<br>1. Where specific criteria differ from more general criteria, the specific criteria shall apply. In any case where solutions conflict with drawings, images, design resources, and referenced documents, the most stringent criteria shall apply.<br>2. Words, terms, and phrases used in the singular include the plural, and those used in the plural include the singular.<br>3. The meaning of terms not specifically defined shall be as defined by collegiate dictionaries in the sense that the context implies.<br>4. Conventional industry tolerances do not apply to dimensions given. Designers should plan for construction tolerances in the design of the project.<br><br> Ultimately, the isUD team is solely responsible for interpretation of whether or not a project has implemented a solution as it applies to isUD Certification. While this decision is based on the text of the solution and corresponding drawings, images, design resources, and referenced documents, the isUD team may rely on expert knowledge and experience in rendering a final decision. Any questions regarding whether certain interventions would satisfy the criteria specified by a solution, drawing, image, design resource, and/or referenced document should be addressed with the isUD team. <a href="../contact"> Contact us</a>.</p></div><button id="question18_1" data-toggle="collapse" class="btn btn-lg collapsed user-guide-questions" data-target="#answer18_1"><h6 class="expand-sign">+</h6><h6>What documents must be submitted to earn isUD Certification?</h6></button><div id="answer18_1" class="collapse user-guide-answers"><p>isUD Certification requires contracting with the isUD team to provide the isUD Certification service. The isUD team member assigned to your project will inform you what documents are necessary to provide a thorough and accurate review. Ultimately, a site-visit post construction may be necessary to verify all of the requirements for isUD Certification have been satisfied. For the best chances of successful isUD Certification, contact us [link] to set up a consultation with an isUD team member. </p></div></div></div></div></div></div></div></div></div></section></div></section></div> <?php
        include_once("Footer.php");
    ?> <?php
        include_once("IdleTimeLogoutPopup.php");
    ?> <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script><script src="https://cdnjs.cloudflare.com/ajax/libs/tether/1.1.1/js/tether.min.js"></script><script src="JS/bootstrap.min.61f338f8.js"></script><script src="JS/lib-unveil.min.c14400f8.js"></script><script src="JS/banner.min.481c978f.js"></script><script src="JS/index.min.4e09dd2c.js"></script><script src="JS/UserGuide.min.b44caace.js"></script><script src="JS/popup.min.cbc0cd32.js"></script>
</body></html>